Key Features

Image Explorer Key Features

The Renaissance Software Image Explorer 3.0 image database system is a professional image cataloging and image processing application. Images can easily be imported or exported from the database using standard drag and drop procedures. Important information associated with each image can be stored with the image and used for identification and building queries. Images can be edited and HTML reports can be generated to view your image records.

A few of the Image Explorer 3.0 key features are listed below:

  • Easy to use with well written and concise documentation and tutorials including more than 125 screen shots.

  • Allow users to manage image databases using any database management system such as Microsoft Access, Oracle, Sybase or SQLServer using ODBC.

  • Designed for multi-user database access over a network.

  • Maximize database capacity and minimize network traffic without sacrificing the speed of database operations.

  • Tables may be customized to support any number of custom fields.

  • Images can be stored either in the file system or database.

  • Easily build and execute an unlimited number of queries into an image database based on any information associated with an image.

  • TWAIN compliant which means you can import multiple images directly from a scanner or digital camera.

  • Batch image conversion, resizing, rotation, and export.

  • Save images in the same format as imported or select a common save format for all images.

  • Export images as saved in the database or convert all images to a common format.

  • Copy images and data across databases.

  • Drag and drop clipboard support provides seamless integration with third-party image processing tools.

  • View slide shows of your images.

  • Edit images using the Image Workshop image editor.

  • Create and customize internet-ready HTML reports with sound using the iPage HTML visual editor.


What's New

Image Explorer 3.0 What's New

The following feature additions and enhancements have been added since the Image Explorer 2.1 application:

  • iPage HTML Report Generator replaced EZ Web Page Wizard.

  • Image replacement support has been expanded.

  • Clipboard support for image import, export, and replacement has been expanded.

  • Batch image processing has been expanded.

  • Database Save Format can now be set to save images in the same format as imported instead of converting to a common format. Images can still be converted to a common format when saved to the database on import if desired.

  • Database Export Format can now be specified to export images in the format as saved in the database. Images can still be exported using a common specified format as well if desired.

  • Image data can be copied in addition to the image when copying image records from table to table.

  • Image cropping added to Image Workshop.

  • Image Explorer interface has been updated.


Computer Requirements

Image Explorer Computer Requirements

To install iBank for Windows, you need the following minimum recommended system requirements:

 | Minimum | Recommended
Processor | Pentium 166 | Pentium 200
Main Memory | 32MB | 64MB
Program Storage | 15MB | 15MB
Data Transfer | CD-ROM Drive |

Operating System: Windows 95, 98 or Windows NT 4.0 with service pack 3 or later.

Browser: Microsoft Explorer 4.0 SP2 or higher (required for iPage HTML Report Generator only).

Additional Software: Microsoft Data Access Components v2.1 (included with full-install), Microsoft Web Publishing Wizard (required only for uploading web pages to a web site or intranet site only)

Database: Oracle 7, Oracle 8, Sybase, SQLServer, Microsoft Access, or any database with an ODBC-compliant driver.


Installation Procedure

Image Explorer

Installation Location

The Image Explorer setup program by default installs the program files in the Program Files folder on the C: drive. If this drive is running low on space, choose a different drive because the iPage html report generator uses the program folder as the working directory which can get quite large if you are creating a report with many images.

Installation Options

The Image Explorer CD includes two setup programs: RIEFull.exe and RIE.exe. RIEFull.exe includes the Microsoft Data Access Components 2.1 (MDAC 2.1) which are required by Image Explorer. If you are upgrading from a previous release of Image Explorer you do not need to install MDAC 2.1; however, no harm is done if you do re-install MDAC 2.1 in this case. If you are not sure whether your computer has the MDAC 2.1 components, select the RIEFull.exe setup program.

Installation Procedures

  1. Close all other applications and load the Image Explorer CD. Using the Windows Explorer, double click the RIEFull.exe or RIE.exe programs to begin the installation.

  2. The Welcome dialog displays. Press Next to continue.

  3. The Important Notes dialog displays. Press Next to continue.

  4. Select the path where you would like to install Image Explorer. The setup program will create a directory called Image Explorer 3.0 in the directory you select.

  5. Select the program folder for Image Explorer 3.0.

  6. This completes the base installation. Press Finish to begin installation of the Image Explorer folders and DLLs.

  7. During the file copy process, the install may attempt to update system DLLs that are in use. If this happens, you will see the dialog below. Press the Cancel button to continue. The DLL's listed will be loaded on reboot. Note: This may occur on several files.

  8. If you are installing with RIEFull.exe, you will be prompted next with the standard Microsoft Data Access Component 2.1 setup dialog. This procedure will load the DLLs necessary to run ODBC on your machine. When this finishes, reboot your computer if prompted to do so.

  9. You will finally prompted with the Notice dialog to reboot your computer. If you are installing using the RIEFull.exe setup program, this dialog will be displayed along with the Microsoft Data Access 2.1 dialog above. In this case, select Cancel since the Microsoft Data Access 2.1 setup program will prompt you to reboot your computer. If you are installing using the RIE.exe setup program, select OK to reboot your computer.

    Once you reboot, Image Explorer is ready to use. To validate the installation, see the section Testing the Installation


Image Explorer

Testing the Installation

You may test test Image Explorer installation using the sample database provided by Renaissance Software. The sample database is a small Microsoft Access database that can be run without loading or configuring a complete database management system. The sample database will allow you to determine that Image Explorer and ODBC are functioning properly.

The following steps will take you through the validation process:

  1. Start Image Explorer from the Windows Start menu. Once started you should see the main window.

  2. Completely expand the Image Explorer Sample tree item and select the Initial Query item. You should see thumbnail images for the query.

    .

  2. Select Initial Query and click the right mouse button to display the context menu for the query, and select the iPage HTML Generator menu option. You should see the following screen. When iPage is displayed, close the window.

  3. Select the Sample Image 1 thumbnail in Image Explorer and click the right mouse button to display the context menu for the image record, and select the Image Workshop menu option. When Image Workshop is displayed, close the window.

  4. This completes the validation process. View the Getting Started chapter for examples of using Image Explorer.


Image Explorer Tutorial Overview

Image Explorer Tutorial

Overview

This tutorial will show you step by step how to perform Image Explorer's basic functions.

If you would like to use the Image Explorer Sample data source provided by Renaissance Software, you can go to Step 3: Creating a Table.htm.

In this tutorial, we will create a new ODBC data source called Image Explorer Sample. We will create a table within the new data source called Image_Data and add two columns to the table: Creation_Date and Description. The tutorial will demonstrate the procedures for setting default insert values for your columns as well as importing images into a table. You will create a query named Starting with P that will return all images that have a name that starts with the letter P.

Step 1: Creating a New Access Data Source


Step 1: Creating a New Access Data Source

Image Explorer Tutorial

Step 1: Creating a New Data Source

This step will create a new ODBC data source name (DSN) for a Microsoft Access database. A Data Source Name (DSN) is used by ODBC to identify database connectivity settings for a particular database. The procedure for creating a data source for other database management systems such as Oracle, Sybase, Informix, etc. is similar and documented with the particular database's ODBC driver setup.

To create a DSN, open Image Explorer and select ODBC Administrator from the File menu.

This will open a dialog containing all the currently defined DSNs. By default, Image Explorer defines a DSN called Image Explorer Sample. To create a new DSN, click the Add button.

Next, you will be presented with a list of all ODBC drivers installed on your system. For this example, choose the Microsoft Access Driver (.mdb) then press Finish.

Now that the type of data source is known, you will be prompted to give the new DSN a name. We will name ours Tutorial DSN. Press the Create button to select a disk location for the new database.

Choose a disk location and name for your database (.mdb) file. You should place this on a disk that has enough space to hold all your images. Microsoft Access databases can grow to a maximum of 1 GB. Our data file will be created as f:/Databases/Tutorial.mdb. Press OK to continue.

The ODBC Administrator should inform you that the DSN was successfully created. Press the OK button in the ODBC Microsoft Access 97 Setup window to exit ODBC Administrator. The ODBC Administrator window should now show your new DSN as follows:

Press OK to return to Image Explorer. In the next section (Step 2: Importing a Data Source), we will show you how to import your new DSN into Image Explorer.


Image Explorer Tutorial

Step 2: Importing a Data Source

To use an ODBC data source, you must import it into Image Explorer. Select the Image Data Sources item in the tree and from the File menu, select New | Data Source.

The Select ODBC Data Source dialog will be displayed showing all defined data sources. Choose Tutorial DSN that we created in Step 1: Creating a New Data Source.

The selected DSN will now show up under Image Data Sources in the Image Explorer tree. Selecting the Tutorial DSN tree item will connect you to the database.

Continue to Step 3: Creating a Table to add a new table for storing images.


Image Explorer Tutorial

Step 3: Creating a Table

Before storing images, you need to define a table to hold images and their data. A table can be considered similar to a spreadsheet in Excel. Just as a spreadsheet has multiple rows and columns, a table will have a row for each image and columns for each piece of information you will store about the image.

You have the option of storing the image either in a database table or in the file system. You can also create columns in the table to store additional information about the image. This additional image information can be used to retrieve images based on conditional filters called queries.

In step 3, we will create a new table called Image_Data in the Tutorial DSN imported in Step 2: Importing a Data Source.

Connect to the Tutorial DSN by Right clicking on the Tutorial DSN icon. This will display a popup menu showing all operations available for the table. Select Explore.

Once you are connected to the database, you will be able to add a new table. To do this, right click in the empty window on the right side of the vertical splitter bar and select New | Table... from the popup menu.

You should now see the Create Table dialog. This dialog will allow you to assign a name to the table, specify image and thumbnail storage locations; either in a table or file system, and assign a short description. Enter Image_Data as the name for your table and click OK. Table names may not have spaces.

You have now created a table. A default query was also created for the new table. Continue to Step 4: Adding Columns to a Table to learn how to create additional columns in the table.


Image Explorer Tutorial

Step 4: Adding Columns to a Table

A column is analogous to a column in a spreadsheet. The table you created in Step 3: Creating a Table has one default column called image_name. This is a required column and exists in every table in Image Explorer. We will now add two additional columns: Creation_Date and Description.

Expand the Tutorial DSN tree item to display the Image_Data table. Select the Image_Data table then right click in the window on the right side of the vertical splitter bar and select New | Column... from the popup menu.

Selecting New | Column... displays the Create Column dialog. This dialog will allow you to specify the type of data you will be storing in the column. The data types available will vary depending on the database you are using. Note: Column names must not contain spaces.

Repeat the column creation process to create two columns: Creation_Date and Description. Changed the data types to match the pictures below.

To view the details of the columns that you just created, select the View | Details menu option.

A detail of the table contents will be displayed which will include the columns you just created in addition to the required image_name column and any queries that have been created for the table.

Image Explorer has the ability to assign default values to columns as images are inserted. By default, the image_name column is assigned a default value which is actually an Image Explorer Name macro. The Name macro in the default form above will generate unique image names for newly inserted images in the following format: Image 001, Image 002, etc.

As an example of the use of default insert values, we will make the Creation_Date column assign the current date and time to all images inserted into the Image_Data table using the Image Explorer Now macro. To do this, right click on the Creation_Date column and select Properties from the popup menu.

Select the the Default Value property page tab and enter Now() as the default value.

This completes the column definitions for your Image_Data table. In Step 5: Inserting Images, You will add images to your table.


Step 5: Inserting Images

Image Explorer Tutorial

Step 5: Importing Images

Using the table defined in Step 3: Creating a Table and Step 4: Adding Columns to a Table, we can now add images to the database. To do this, select the Image_Data table in the Image Explorer tree then right click in the window on the right side of the vertical splitter bar. Select New | Import Images... from the popup menu.

The Import Image dialog will be displayed. Navigate to any directory that contains an image you would like to import. Select the image in the list portion of the Import Image dialog. A small thumbnail will be displayed for the selected image for your preview. When you have selected an image that you would like to import, select Open. Note that you can also import images into a table using drag and drop or copy and paste.

To view a thumbnail of the newly imported image, right click in an open area of the window on the right side of the vertical splitter bar and select View | Thumbnails.

Repeat the preceding steps multiple times to add some more images to your table. You might want to try dragging numerous images from a directory and dropping them onto the Image_Data table or doing the same with copy/paste.

Images imported into a table will be visible in the Image Explorer List with the table selected until you select View | Refresh. After refreshing, you must execute a query to view the images.

In Step 6: Creating a Query, we will define a query that will retrieve the stored image from the database.


Image Explorer Tutorial

Step 6: Creating a Query

Image Explorer uses the industry standard Structured Query Language (SQL) to retrieve images from the database. SQL is a very flexible and powerful method for retrieving data. To make SQL easy to use, Image Explorer uses a query builder dialog that will walk you through the steps of constructing SQL queries.

Start by selecting the Image_Data table in the Image Explorer tree and right-clicking in an open area on the right side of the vertical splitter bar. Select New | Query... from the popup menu.

The Query Builder dialog will open with a new query called "Untitled". The default query selects all columns and returns all images in the database.

SQL statements have 4 basic components:

  1. SELECT: Lists all the data columns that will be returned by the query.

  2. FROM: Indicates the table from which data will be retrieved.

  3. WHERE: Restricts the query to records passing filter conditions on any column or combination of columns.

  4. ORDER BY: Defines the order in which rows will be returned (i.e. by image_name or Description).

The right mouse button is used to edit the query. If you right click on the SELECT, WHERE or ORDER BY lines, a popup menu will display the columns available to add. For instance, if you want to return all defined columns, you would right click on the SELECT line and choose the columns one at a time until all columns have been added. To remove a column from the query, right click on a column and select Delete. By default, all columns are initially selected when you create a query.

To select only those image matching certain characteristics, you will edit the WHERE clause using the Where Condition Editor. When you right click on the WHERE line, you will get a popup of all defined columns. When a column is selected, an edit window will open allowing you to add the conditions that will cause the item to be selected. To make your query return only those images that have a name starting with the letter "P", you would enter the following:

The "%" character is a wild card. It will match any character following a name starting with the letter "P". You can add any number of where conditions separated by AND or OR clauses to build complex retrieval conditions. For advanced queries, you can also add entire select statements surrounded by parentheses to return images based on columns in any table in the current DSN.

If you add columns to the ORDER BY line, images will be returned in sorted order. Multiple columns can be added to the ORDER BY clause if you would like more than one depth to the sort order. The final query should look like the picture below.

An English description of the query above is: Return the image_name, Creation_Date, and Description columns from the Image_Data table if the image name begins with the letter "P". And, sort the returned images by image name.

The final task in creating a query is to give it a name. To do this, Right click on "Untitled" and select Edit from the popup menu. This will bring up a dialog for entering the title:

Click the OK button to close the Query Name Editor dialog. If you would like to see the complete SQL that will be executed when you run the query, you can select the SQL tab. This tab is provided for experienced SQL users or database administrators to view the exact SQL statement that has been created. It displays some additional columns used internally by Image Explorer to link the image, thumbnail and data.

Click OK to close the Query Builder dialog. The new query will now show up under the Image_Data table. You can run the query by double clicking on the query named Starting with P in the list view on the right side of the vertical splitter. Unless you have renamed any images to begin with the letter P, no images will be returned.

We are now going to rename an image in the table so that it begins with the letter P. Select Initial Query in the Image Explorer tree. Initial Query was created when you created the Image_Data table and by default selects all images in the table. Right click on any image returned by Initial Query and select the Rename menu option.

This will allow you to enter a new name below the selected image. Enter a name that begins with the letter P. Select the Image_Data table in the Image Explorer tree and then double click on the Starting with P query. You might have to select View | Refresh to re-submit the query.

The next section Step 7: Editing Image Data will demonstrate how to edit the image data for the imported images.


Image Explorer Tutorial

Step 7: Editing Image Data

Once you have imported images into Image Explorer, you can edit the data associated with each image. Select the Starting with P query in the Image Explorer tree. This is the query that you created in Step 6: Creating a Query. The images on the right side of the vertical spliiter bar should be those images that you renamed in Step 6 to begin with the letter P.

Select the View | Details menu option.

In Details mode, you can view all of your image data.

The image_name and Creation_Date columns already have data that was generated when the images were imported using the Image Explorer macros. We still need to enter a description for each image. Select the View | Thumbnails menu option to redisplay the thumbnail view for the images.

Right click on a thumbnail and select the Edit Image Record Data... menu option.

The Edit Record Data dialog is used to change the data associated with each image.

Enter a description then select the Update button to submit your changes to the database. Select the next image and enter a description followed by an Update. Repeat this procedure for each image returned by the Starting with P query.

If you select the View | Details menu option, you will see all of your changes reflected.

In Step 8: Exporting Images, we will demonstrate the various ways to export images from Image Explorer.


Image Explorer Tutorial

Step 8: Exporting Images

You can export an image from Image Explorer to the file system on your computer or another program using the File Save dialog. The File Save dialog only allows you to export one image at a time; however, you can export multiple images using copy/paste or drag/drop. The File Save dialog will allow you to specify a file name for the exported image while copy/paste or drag/drop will generate image names. You can specify that images be converted to any image format on export or export the images as saved in the database.

To export images using the File Save dialog, select the Starting with P query in the Image Explorer tree. The images on the right side of the vertical spliiter bar should all have names that begin with the letter P. Optionally, you can select the Initial Query query for this excercise in which case all images in the Image_Data table will be returned.

Right click on an image and select the Export Image To File... menu option.

    Right click on any of the selected images and select the

The Export Image dialog should now be displayed.

The initial File Name provided will be the same value that was in the image_name column in the table. The export options are:

Save as type: Specifies the format and file extension of the image file when saved to a directory.

Subfile type: Provides additional format options for the selected Save as type format.

Compression: If the format selected in the Save as type allows a compression to be set, use the adjustable slider to set the export compression.

Export as Saved in the Database: Select this to export the image in the same format used to save the image. If this is selected, the above options will be disabled.

For this excercise, leave the settings at their defaults and navigate to a directory where you would like to save the image and select the Save button.

This completes the Image Explorer tutorial; however, the Image Workshop Tutorial picks up where the Image Explorer tutorial ends.


Getting Started Image Workshop Overview

Image Workshop Tutorial

Overview

This tutorial will show you step by step how to perform a few of Image Workshop's basic functions.

The Sample DSN data source, Image_Data table, and Beginning with P query created in the Image Explorer Tutorial are used for the Image Workshop Tutorial.

In this tutorial, we will start Image Workshop from Image Explorer, crop an image, and create a new image record by utilizing the Image Workshop Save As feature.

Step 1: Launching Image Workshop


Image Workshop Tutorial

Step 1: Launching Image Workshop

This step will launch Image Workshop for editing an Image Explorer Image.

To launch Image Workshop, right click on an image in the Image Explorer List and select Image Workshop...

This completes the Launching Image Workshop section. In Step 2: Cropping an Image, we will crop a section of the image opened in Image Workshop.


Image Workshop Tutorial

Step 2: Cropping an Image

This tutorial step will cover the steps necessary to crop the image to include only the mountain climber in the photograph.

To select a section for cropping, place the mouse cursor in the upper-left section of the area to crop and press the left mouse button. With the left mouse button pressed, move the mouse cursor to the lower-right section of the area to crop and release the mouse button. Then select Edit | Crop Selection.

The cropped image will then replace the current image.

This completes the image cropping section. In Step 3: Saving the Image to Create a New Record, we will save the cropped image as a new image in Image Explorer.


Image Workshop Tutorial

Step 3: Saving the Image to Create a New Record

This tutorial step will cover the procedure for saving an image modified in Image Workshop as a new Image Explorer image.

When you modify an image in Image Workshop and use the File | Save As menu command, the original image is unchanged and a new Image Explorer image record is created. All the usual rules for default insert values covered in the Image Explorer Tutorial Step 4 are applied to the newly created image record.

Select File | Save As to display the New Record dialog.

The New Record dialog enables you to supply data values for the new image record. If you do not supply a value for a column and the column has a default insert value specified, the default insert value will be used. If you supply a value, the supplied value will override the default insert value.

Enter new values for the cropped image created in Image Workshop Tutorial Step 2: Cropping an Image.

This completes the Saving the Image to Create a New Record section. In Step 4: Updating Image Explorer to Show the New Image, we will update the display in Image Explorer if necessary in order to view the new image record we just created in Image Workshop.


Image Workshop Tutorial

Step 4: Updating Image Explorer to Show the New Image

In Step 1, we launched Image Workshop with an image in the Starting with P query. In Step 2, we cropped an image, and in Step 3, saved the image as a new record. The name we gave the new image did not begin with the letter P, so in order to see the new record we created, we must select the Initial Query query since this query returns all records (unless you have modified the WHERE clause) in order to see the new image record name Cropped Image.

Note: You might need to select View | Refresh when returning from Image Workshop to see your latest changes.


Getting Started iPage Overview

iPage Tutorial

Overview

The iPage tutorial will show you step by step how to create a full set of web pages using iPage. The web pages can be used as reports for your images and image data or you can upload the generated web pages to an internet or intranet site.

The Sample DSN data source, Image_Data table, and Beginning with P query created in the Image Explorer Tutorial are used for this tutorial. Additional images have been added to the Image_Data table for this tutorial.

In this tutorial, we will demonstrate the following:

  • Launch iPage from Image Explorer

  • Change settings related to the thumbnail index display properties
  • Change the header, description, and footer on the thumbnail and full-size image pages
  • Select the column data to display with the thumbnail and full-size images
  • Save the generated pages to a folder for later re-use.

Remember that you can always choose Edit | Undo after applying any changes to revert your web pages back to the previous state. This is a good way to learn how the different settings in the iPage Web Site Template Editor affect the appearance of your generated web pages. Just change a setting, select Apply, examine the changes, and then select Edit | Undo. If you would like to start over, select File | New Template to reload the startup template.

An obvious point but worth keeping in mind is if you do not see your web pages reflecting the changes you are making in the iPage Web Site Template Editor, make sure the settings you are modifying apply to the type of page you are currently viewing. i.e. if you are viewing a thumbnail page and changing settings for the full-size image pages, you will not see the full-size image page changes until you navigate to a full-size image page.

Step 1: Launching iPage


iPage Tutorial

Step 1: Launching iPage

This step will launch the iPage HTML Generator for creating HTML based reports and web pages.

To launch iPage, right click on an a query in the Image Explorer Tree (or Image Explorer List) and select iPage HTML Generator...

Launching iPage will display two windows: the iPage browser window and the iPage Web Site Template Editor.

When you first launch iPage, the images for the query selected when iPage was launched will be rendered into a temporary working directory. The time required to render the images depends on the number of images returned by the query. A progress bar will be displayed in the status bar showing the rendering progress.

The following window will be displayed while iPage performs the initial image rendering:

When the rendering process is completed, the first thumbnail index page of your generated web pages will be displayed in the iPage browser window.

The iPage Web Site Template Editor wil also be displayed.

You can hide or show the iPage Web Site Template Editor at any by selecting View | Web Site Template Editor.

This completes the Launching iPage section. In Step 2: Changing Thumbnail Index Properties, we will set the thumbnail layout for the index pages on the generated web pages.


Step 2: Change Thumbnail Index Properties

iPage Tutorial

Step 2: Changing Thumbnail Index Properties

This tutorial step will cover the adjustment of the thumbnail layout on the thumbnail index pages for your generated web pages.

Select the Thumbnail Table tab on the iPage Web Site Template Editor to display the property page for the thumbnail page table layout.

Change the settings on the Thumbnail Table tab to the following:

    Thumbnail size - 144, 144

    Horz. alignment - Right

    Table Width - 500 pixels

Now, select the Thumbnail Page tab and we will change the horizontal alignment of the entire thumbnail table.

Change the Thumbnail Table alignment to Center.

Select Apply to apply the changes we have made so far.

This completes the Changing the Thumbnail Index Properties section. In Step 3: Changing the Header, Description, and Footer, we will set the Heading, Description, and Footer display for the thumbnail and full-size image pages.


Change Heading, Description, and Footer

iPage Tutorial

Step 3: Changing the Header, Description, and Footer

This tutorial step will cover the steps necessary to set the header, description, and footer text on the thumbnail and full-size image pages. We will replace the informational text provided with our own text.

Select the Thumbnail Page tab in the iPage Web Site Template Editor.

The Header field on the Thumbnail Page tab is text that appears at the top of each thumbnail page. Enter a heading that is appropriate to the images you are using for this tutorial. The images in the iPage tutorial are related to mountain scenes, so we will set the heading to Wasatch Mountains, the Description to These are photographs taken in the Wasatch Mountains east of Salt Lake City, Utah during the Winter of 1999, and the footer to All Material (c) 1999 Renaissance Software LLL.

Select Styles... next to the Header field to display the Thumbnail Page Header Text Style dialog and set the settings in this dialog as displayed in the following screenshot.

Select Styles... next to the Description field to display the Thumbnail Page Description Text Style dialog.

Finally, select Styles... next to the Footer field to display the Thumbnail Page Footer Style dialog.

Notice that we selected the Apply to image page header/description/footer checkbox in each of the above style dialogs. We did this so that the styles we defined for the thumbnail page will be applied to the same fields on the full-size image pages. This is a shortcut that saves us the effort of having to repeat the above steps for the full-size image pages.

Select Apply on the iPage Web Site Template Editor to see your changes take affect.

Select a thumbnail in the iPage browser to view a full-size image page.

Select the Image Page tab on the iPage Web Site Template Editor and enter a heading, description, and footer. For the tutorial, we basically copied our heading, description, and footer from the Thumbnail Page tab.

Select Apply on the iPage Web Site Template Editor to see your changes take affect.

This completes the Changing the Header, Description, and Footer section. In Step 4: Selecting the Column Data for Display, we will select which columns we want to display with the thumbnails and full-size images.


iPage Tutorial

Step 4: Selecting the Column Data for Display

This tutorial step will cover the steps necessary to select the columns we will display with the thumbnails on the thumbnail pages and the columns we will display with the full-size images on the full-size image pages. For each column we select to display, we will set the display styles such as font, size, and color as well.

Select the Thumbnail Data tab in the iPage Web Site Template Editor.

For the thumbnail pages, we will not add or remove from the current selection of columns we are displaying with the thumbnails; however, we will change the color of the image_name data as displayed and we will make the description column value be used as the ALT value for each thumbnail. More on the ALT setting later...

With the image_name column selected, select Edit Data Style... and set the settings in the Edit 'image_name' Data Display dialog as shown in the following screenshot.

Select OK to close the Edit 'image_name' Data Display dialog and select the description column in the Thumbnail Data tab. With the description column selected, select Edit Data Style...

The only change we are going to make to the Edit 'description' Data Display dialog is to select Use as ALT for images. Selecting Use as ALT for images for the description column will cause a small popup window to appear above an image when the mouse cursor is placed over the image. The small popup window will contain the value in the description column for the image under the cursor.

Select OK to close the Edit 'description' Data Display dialog and select Apply to see your changes so far.

Note: If you move your cursor over the image and do not see the popup window, click inside the browser window to make it active afterwhich you should see the ALT text for each thumbnail image.

We will now change the columns displayed with the full-size images. Select the Image Data tab in the iPage Web Site Template Editor to view a full-size image page.

We will leave the column selections as is, but we will change the display styles of the columns on full-size image pages. With the image_name column selected, select Edit Data Style... Change the settings in the Edit 'image_name' Data Display dialog to match the screenshot that follows.

Select OK to close the Edit 'image_name' Data Display dialog.

With the description column selected in the Image Data tab, select Edit Data Style... Change the settings in the Edit 'description' Data Display dialog to match the screenshot that follows:

Select OK to close the Edit 'description' Data Display dialog.

Select Apply on the iPage Web Site Template Editor to see your changes reflected in the web browser.

This completes the Selecting the Column Data for Display section. In Step 5: Saving the Generated HTML Pages we will cover the steps necessary to save the generated web pages.


iPage Tutorial

Step 5: Saving the Generated HTML Pages

The web pages you have been viewing in the iPage browser are stored in a temporary location. If you wish to save the generated pages, you must specify a location and iPage will copy the generated web pages to the specified location.

You can select a location using the standard Browse for Folder dialog which will allow you to save the pages on your local machine or intranet, or you can use the Web Publishing Wizard to FTP the generated web pages to an intranet or internet location.

Save Web Pages to Local Drive:

Select File | Save Web Site to launch the standard Browse for Folder dialog.

Select a local drive or network location to save your generated web pages.

Upload Web Page to Intranet/Internet:

Select File | Upload Website... to upload your generated web pages to an intranet or internet site using FTP.

Selecting File | Upload Website... will launch the Microsoft Web Publishing Wizard which will guide you through the process of uploading your generated web pages.

Note: If you get an error when selecting this command, see Troubleshooting.


Overview

Image Explorer Overview

Image Explorer is multi-user image database system that supports most image formats. You can use Image Explorer with any database management system that has an ODBC driver.

Image Explorer provides a central location for storing and managing all images.

See Key Features for a complete listing of Image Explorer features.

See the Image Explorer Tutorial for a quick tour of some of Image Explorer features.


Image Explorer Window

Image Explorer Tree

The Image Explorer Tree displays all the objects in the Image Explorer system that are capable of containing other objects. Only one item can be selected in the Image Explorer Tree.

The objects in the Image Explorer Tree that can contain other objects are:

Image Data Sources: This is the top level object in the tree and contains individual image data sources.

Image Data Source: This is an actual data source for a database. In the picture above, Image Explorer Sample is an Image Data Source. An image data source can contain tables. An image data source is represented by the icon with multiple overlapping tables.

Table: Image_Data in the above screenshot is a table. Tables are represented by the table icon.

Query: Initial Query in the above screenshot is a query. Queries are represented by the blue Q icon.

Images and columns are not included in the Image Explorer Tree since these objects do not contain other objects.

Image Explorer List

The Image Explorer List displays the contents of the currently selected item in the Image Explorer Tree. Multiple items can be selected in the Image Explorer List.

The Image Explorer List can contain image data sources, tables, columns, queries, and images.

Image Explorer Status Bar

The Image Explorer Status Bar displays information about the current operation. For instance, when importing images, a progress bar will be displayed in the Image Explorer Status Bar showing the completion percentage of the import process. The Image Explorer Status Bar will also show contextual information when using a menu. If you are unsure what a menu option will do, look at the status bar while selecting a menu option to get additional information.

Image Explorer Menu

The Image Explorer Menu provides all operational commands. See Image Explorer Menu Overview for further information.

Image Explorer Tool Bar

The Image Explorer Tool Bar provides the same operational commands for a subset of the commands available in the Image Explorer menu.

Adjustable Splitter Bar

Use the adjustable splitter bar to adjust the size of the Image Explorer Tree and Image Explorer List windows. To adjust the window sizes, place your cursor over the splitter bar. When the cursor changes appearance, press the left mouse button and move the mouse right or left to adjust the window sizes.


Image Explorer Menu Overview

The menus in Image Explorer are context sensitive which means that the menu commands available on the main menu bar will change depending on the type of object selected in the Image Explorer tree or list.

File Menu - Context Sensitive

The following File menu is visible if a query is selected in the Image Explorer List.

The commands available on the File menu will depend on whether the Image Explorer Tree or Image Explorer List has the current focus. When you click your mouse in the window containing the Image Explorer Tree, the Image Explorer Tree will have focus and if you click in the window with the Image Explorer List, then the Image Explorer List has focus.

The following details the changes to the File menu depending on which window has focus and how many objects within each window are selected:

Image Explorer Tree Has Focus: The File menu will contain a New menu item with a submenu listing all objects that can be created by the currently selected tree item.

Image Explorer List Has Focus (no Items selected): The File menu will contain the same options as when the Image Explorer Tree has focus.

Image Explorer List Has Focus (one item selected): The File menu will contain commands that can be applied to the currently selected item and a New menu item will contain a submenu with objects that can be created by the selected tree item.

Image Explorer List Has Focus (multiple items selected): The File menu will contain commands that can be applied to all of the selected objects, commands that cannot be applied to all selected objects will be disabled. A New menu item will contain submenu with objects that can be created by the selected tree item.

If you are comfortable using the Windows Explorer, you will find this behavior familiar. See Image Explorer Object Menu Commands for the object-specific File menu commands.

File Menu - Non Context Sensitive

The non-context sensitive File menu commands are always displayed regardless of the object selected in the Image Explorer Tree or Image Explorer List.

The ODBC Administrator... menu command will launch the Microsoft ODBC Administrator.

The Options... menu command will launch the Options property sheet where you can set Export Format, Database Save Format, and Slideshow options.

The TWAIN Select Source... menu command will allow you to specify the default TWAIN source. If you have multiple TWAIN sources on your computer which might be the case if you have scanner and digital camera TWAIN interfaces, you should use this command to set the current default TWAIN source prior to acquiring TWAIN images into a table.

The Delete menu command deletes one or more Image Explorer system objects.

The Rename menu command will allow you to rename an Image Explorer object.

The Properties menu command will display a property sheet for the currently selected object.

The Close menu command will close the Image Explorer window.

Edit Menu

The Edit menu:

The Copy command allows you to copy the currently selected object(s) to the Windows clipboard. This command will be disabled if not applicable.

The Paste command allows you to paste the contents of the Windows clipboard into Image Explorer.

The Select All command will select all objects in the Image Explorer List.

The Invert Selection command will select all objects in the Image Explorer List that are not selected and de-select objects that are currently selected.

View Menu

The View menu.

The Toolbar and Status Bar menu commands will show or hide the Image Explorer Toolbar and Status Bar.

The Large Icons menu command will display a large icon in the Image Explorer List for each item within the currently selected item in the Image Explorer Tree.

The Small Icons menu command will display a small icon in the Image Explorer List for each item within the currently selected item in the Image Explorer Tree.

The List menu command will display a small icon in the Image Explorer List for each item within the currently selected item in the Image Explorer Tree. The items will be arranged in equally-spaced columns.

The Thumbnails menu command will display a thumbnail in the Image Explorer List for each item within the currently selected item in the Image Explorer Tree. If the item being displayed is an image, the thumbnail will be a small version of the image. For all other objects, the thumbnail will be the item's large icon.

The Arrange Icons menu command will contain a submenu that allows you to sort the items in the Image Explorer List by displayed attributes. For images, you will be able to sort by the columns that are returned by the query containing the images.

Help Menu

The Help Menu.

The Help Topics menu command will display the Image Explorer help system which you are viewing right now.

The Renaissance Software on the Web... menu command will launch your default browser and take you to Renaissance Software's home page.

The About Image Explorer... menu command will display version and copyright information about Image Explorer.


Image Explorer Object Menu Commands

Image Explorer Object Context-Sensitive Menu Commands

The menu commands available in the File menu and context menus will change depending on the type of the currently selected item, whether the Image Explorer Tree or Image Explorer List has focus, and on the number of items selected in the Image Explorer Tree or Image Explorer List. See Image Explorer Menu Overview.

The available menu commands can be grouped into two categories: commands that create new objects and commands that perform an action on the currently selected object(s). The menu commands that create new objects and menu commands that perform an action on an object are detailed below for each Image Explorer object:

Image Data Sources:

This is the top level Image Explorer Tree object. This object does not appear in the Image Explorer List.

New

Data Source: Creates an Image Explorer data source object. This command will launch the Select ODBC Data Source dialog which will allow you to select an existing ODBC data source to use in Image Explorer.

Commands

Explore: Displays all Image Explorer data sources in the Image Explorer List.

Image Data Source:

New

Table: Displays the Create Table dialog.

Commands

Explore: Displays the tables within the selected data source. Only tables created within Image Explorer are displayed.

Table:

New

Import Images: Displays the Import Image dialog.

TWAIN Image Acquisition: Launches the user interface for the default TWAIN device.

Column: Displays the Create Column dialog.

Query: Launches Query Builder for creating a new query.

Commands

Explorer: Displays the columns, queries, and recently inserted images for the selected table in the Image Explorer List.

Column:

New

Columns do not create new Image Explorer objects so a New menu command is not applicable.

Commands

Columns do not have any object-specific commands.

Query:

New

Queries do not create new Image Explorer objects so a New menu command is not applicable.

Commands

Explore: Executes the query and displays the images returned by the query. Selecting View | Refresh while a query is selected will re-execute the query.

Edit Query: Displays Query Builder for editing the selected query.

Update All: Displays the Update All dialog for changing a column value for all records returned by a query.

iPage HTML Generator: Launches the iPage program for creating HTML-based reports for the images and data returned by the query.

Slide Show: Starts a slide show which uses the images returned by the query.

Record:

New

Records do not create new Image Explorer objects so a New menu command is not applicable.

Commands

Image Workshop: Launches the Image Workshop program for performing editing operations on the selected image. If you modify the image using Image Workshop, your changes will not be reflected until you select View | Refresh for the query containing the image.

Edit Image Record Data: Displays the Edit Record Data dialog for changing the values of the selected image's data.

Export Image to File: Displays the Export Image dialog.

Replace Image: Displays the Replace Image dialog which allows you to replace the image with a new image without replacing the selected image's data.

Resize Image: Launches the Resize dialog for resizing the selected image(s).

Rotate Image 90 CW: Rotates the selected image(s) 90 degrees clockwise.

Rotate Image 90 CCW: Rotates the selected image(s) 90 degrees counter-clockwise.

Rotate Image 180: Rotates the selected image(s) 180 degrees.


Image Explorer

Data Sources Overview

An ODBC data source is a collection of technical information required for connecting to a particular database in a DBMS. The technical information contained in an ODBC data source includes such things as the ODBC driver name, network address of the DBMS, and network software needed to connect to the DBMS. The type of information required for data sources is dependent on the ODBC driver used to connect to the data source. For example, an Oracle ODBC data source will contain the SQL*Net connection string among other things and the system ID of the database on the server while a Microsoft Access ODBC driver will contain the complete path and filename for the database in addition to other connection information.

There are two types of data sources, machine and file data sources. Machine and file data sources basically store the same information but they are stored differently.

Machine data sources are stored in the system information (Windows Registry) with a user-defined name called a data source name (DSN). There are two types of machine data sources, user and system. A user data source is visible only by the user logged into the machine while a system data source is visible to all users logged into a machine.

File data sources are stored in a file and may be used by anyone with access to the file for connecting to a DBMS. File data sources can be placed on a network and used simultaneously by multiple users as long as each user's machine contains the proper ODBC driver. The primary advantage to using a file data source is that only one data source needs to be created as opposed to creating a data source on each user's machine. Typically, a system administrator or person familiar with ODBC data sources will setup a single file data source for all users to use.

Image Explorer Data Sources

An Image Explorer data source is the same as an ODBC data source. When you import an ODBC system or file data source into Image Explorer using the File | New | Data Source command while the Image Data Sources object is selected in the Image Explorer Tree, a copy is made of the system data source name (DSN) or the path to the file data source in the case of a File DSN. This information is stored in the Windows Registry along with other Image Explorer settings in a section specific to the Image Explorer application.

The Image Explorer DSN or path to the File DSN must always be the same as the ODBC DSN or path.

When Image Explorer is started, each data source saved in the registry for Image Explorer's settings is checked to make sure that a matching ODBC data source still exists. If a match is found, then the data source will be visible in the Image Explorer Tree and Image Explorer List within Image Explorer's main window. If a match is not found, which might happen if an ODBC DSN is renamed or deleted using the ODBC Administrator, then the data source is removed from Image Explorer's list of data sources and will not be visible within Image Explorer. Use File | New | Data Source to re-import the DSN into Image Explorer in the event that this happens.


Image Explorer

Creating a New Database

When creating an ODBC data source for Microsoft Access, you have the option of creating a new Microsoft Access database file (.mdb) or using an existing database file.

The following are the steps required to create a Microsoft Access ODBC data source and re-use an existing Microsoft Access database:

  1. Select File | ODBC Administrator... from the Image Explorer window to launch the ODBC Administrator.

  2. Select the User tab and then select the Add button to display the Create New Data Source dialog.

  3. Select ‘Microsoft Access Driver (*.mdb)’ in the list of drivers and select the Finish button.

  4. In the Microsoft Access 97 Setup dialog, type in a short name in the Data Source Name field.

  5. Select the Select button to display the Select Database file dialog.

  6. Navigate to the directory where your existing Microsoft Access database is located and select the (*.mdb) file.

  7. Select the OK button to close the Select Database file dialog.

  8. Select the OK button to close the Microsoft Access 97 Setup dialog.

  9. Select the OK button to close the ODBC Administrator.


Image Explorer

Using an Existing Database

When creating an ODBC data source for Microsoft Access, you have the option of creating a new Microsoft Access database file (.mdb) or using an existing database file.

The following are the steps required to create a Microsoft Access ODBC data source and create a new Microsoft Access database:

  1. Select File | ODBC Administrator... from the Image Explorer window to launch the ODBC Administrator.

  2. Select the User tab and then select the Add button to display the Create New Data Source dialog.

  3. Select ‘Microsoft Access Driver (*.mdb)’ in the list of drivers and select the Finish button.

  4. In the Microsoft Access 97 Setup dialog, type in a short name in the Data Source Name field.

  5. Select the Create button to display the New Database file dialog.

  6. Navigate to the directory where you want to store your new database.

  7. Enter a name for your new database in the Database Name field (i.e. Pictures.mdb).

  8. Select the OK button to close the New Database file dialog.

  9. Select the OK button when the dialog appears stating that the database was successfully created.

  10. Select the OK button to close the Microsoft Access 97 Setup dialog.

  11. Select the OK button to close the ODBC Administrator.


Image Explorer

Creating a Microsoft SQLServer Data Source

The following are the steps required to create a Microsoft SQLServer ODBC data source:

  1. Select File | ODBC Administrator... from the Image Explorer window to launch the ODBC Administrator.

  2. Select the User tab and then select the Add button to display the Create New Data Source dialog.

  3. Select ‘SQL Server’ in the list of drivers and select the Finish button.

  4. Follow the instructions in the SQL Server dialogs.

  5. Select the OK button to close the ODBC Administrator.


Image Explorer

Creating an Oracle Data Source

The following are the steps required to create an Oracle ODBC data source:

  1. Select File | ODBC Administrator... from the Image Explorer window to launch the ODBC Administrator.

  2. Select the User tab and then select the Add button to display the Create New Data Source dialog.

  3. Select ‘Microsoft ODBC for Oracle’ in the list of drivers and select the Finish button.

  4. Follow the instructions in the Oracle ODBC driver dialogs.

  5. Select the OK button to close the ODBC Administrator.


Image Explorer

Creating Data Sources for Other Databases

The following are the steps required to create most data sources:

  1. Select File | ODBC Administrator... from the Image Explorer window to launch the ODBC Administrator.

  2. Select the User tab and then select the Add button to display the Create New Data Source dialog.

  3. Select your specific ODBC driver in the list of drivers and select the Finish button.

  4. Follow the instructions in the driver’s setup dialogs.

  5. Select the OK button to close the ODBC Administrator.


Importing an ODBC Data Source into iBank

Image Explorer

Importing an ODBC Data Source into Image Explorer

To use a database management system for storing your image records, you must select and import an existing ODBC data source that references the database management system.

When a data source is selected for import into Image Explorer via the File | New | Data Source menu command, a check is made to see if the necessary tables for the Image Explorer application are already setup which might be the case if you have used the database management system before to store images using Image Explorer. If the required tables have not been setup, Image Explorer will create the tables.

If an ODBC data source is already being used by Image Explorer, an error message will be displayed and the import process ended. Only one instance of an ODBC data source may be imported into Image Explorer; however, you could have two ODBC data sources named differently that both reference the same database management system. In this case, any actions performed on one of these data sources in iBank will be reflected in the other data source.

The following are the steps required to import an ODBC data source into Image Explorer.

  1. Select File | New | Data Source while the Image Data Sources item is selected in the Image Explorer Tree.

  2. In the ‘Select ODBC Data Source’ dialog, select the data source in the list that you want to import.

  3. Select the OK button.

  4. The new data source will appear as a new tree item in the Image Explorer Tree and Image Explorer List.


General

Image Explorer

General Data Source Properties

The Data Source Properties General tab specifies the data source name (DSN), the Image Explorer object type, the name of the ODBC driver in use, and the location of the DSN.

For the meaning of these values as they pertain to ODBC data sources, see the Data Sources Overview section.


Image Explorer

Update Retry Interval

The Data Source Properties Update Retry tab is an advanced settings page for resolving database transaction concurrency issues in a multi-user system.

Image Explorer uses transactions to perform database operations. If two users simultaneously try to update the same record in a database table, only one of the users will successfully complete their operation. The other user will be ‘blocked’ by the first user since transactions prevent other users from simultaneously accessing the same record.

Instead of returning an error message to the user that was blocked by the first user, Image Explorer will try the operation repeatedly until successful or a user-configurable time frame has passed.

The Update Retry property page is the place to specify how long Image Explorer should wait before retrying an operation and the number of retry attempts before returning an error message if unsuccessful.

Recommended Settings

If you do not expect that multiple users will be accessing the same records in the same table very often it is best to set the value in the Update Retry Interval field to a low number to increase the response of Image Explorer.

If you expect that many users will be accessing the same records in the same table often, increase the value in the Update Retry Interval field and increase the value in the Number of Update Retries field. If the value in the Update Retry Interval field is set too low in a multi-user environment, the database may not have time to finish processing for the current user since it will spend a large amount of time responding to the second user’s request.


Image Explorer

Auto Connect

The Auto Connect property page allows you to automatically connect to a data source on startup. If your database has a password, you can have Image Explorer store the password (encrypted) to prevent the need of typing it every time you start.


Image Explorer

Deleting Data Sources

When a data source is deleted from Image Explorer, only the reference that Image Explorer saves is deleted. The underlying ODBC data source is not deleted. If you delete an Image Explorer data source, you can always re-import the data source using the File | New | Data Source command while the Image Data Sources item is selected in the Image Explorer Tree.

To delete a data source, right click on the data source name in the Image Explorer Tree or Image Explorer List and select the Delete command.


Image Explorer

Tables Overview

Each image that you import into Image Explorer is saved in a table that you have defined. By default, each table is created with a ‘table_name’ column. Image Explorer actually creates additional required columns in your new table for saving the image and a thumbnail and relating the new table to the Image Explorer system tables. The additional required columns are not visible from within Image Explorer.

Image Explorer allows you to specify for each table the storage location for images and thumbnails. You can specify that images and thumbnails be stored in the database or in a file system folder when inserting a new image record.

You can define additional columns for your table using native database management system data types. The maximum number of columns you can define for each table is dependent on the database management system you are using.

Each table column can have a default value assigned to it which is used when inserting new records. This feature is very useful when importing a large number of images in one operation. You can also use an Image Explorer macro as a default column value.

Image Explorer macros allow you to dynamically determine at insert time the column value used during an image record’s insert. For example, the SQL( ) macro will allow you to perform an SQL select query for a single result value and use that result as an insert value.


Image Explorer

Creating a Table

The table name you supply must be one word and not be the same name as an existing table in the database and cannot be a reserved word. You can use your database's tools to determine the tables that already exist in your database.

The table name you supply can only contain the letters a-z and A-Z, the numbers 0 through 9, and the underscore character ("_"). Image Explorer restricts the table name length to a maximum of 31 characters. Your database management system might further restrict the table name length to a smaller number of characters.

The following are the steps required to create a table in Image Explorer:

  1. Select the data source in the Image Explorer Tree for which new table will be created.

  2. Select the File | New | Table menu command to display the Create Table dialog.

  3. Enter a table name.

  4. Enter an optional description for your table.

  5. Select the storage location for full-size images by selecting one of the ‘Store images in database’ or the ‘Store images on file’ buttons.

  6. If you elected to store your images in a folder, select the Browse button and browse to the folder where you want to store your images.

  7. Repeat steps 5 and 6 for thumbnail images.

  8. Select the OK button to return to Image Explorer.


Image Explorer

Creating Table Columns

Columns can be created in your tables for storing additional data that is related to the images you will be storing in the table.

The data types available for new columns are dependent on the database management system you are using. For example, if you want to add a table column for storing keywords that describe an image, you would select the ‘CHAR or 'VARCHAR' data type in Microsoft Access and the ‘VARCHAR2’ data type in Oracle.

The Create Column dialog has two fields which are disabled when not applicable to the currently selected data type. The Length field will be enabled for certain text data types for specifying the maximum length for text entered into the table column. For certain numeric data types, both the length and the Decimal Places fields will be enabled for specifying the total length for the numeric data type and the number of decimal places.

The column name must be one word and a column must not already exist in the table with the same name and cannot be a reserved word. Each table you create in Image Explorer will be initialized with Image Explorer required table columns (id, image_id, thumb_id, table_id, image_name) so you cannot name your table the same name as any of the required columns as well.

The column name you supply can only contain the letters a-z and A-Z, the numbers 0 through 9, and the underscore character ("_"). The maximum length for column names is not restricted by Image Explorer; however, your database management system might restrict you to a maximum number of characters in the column name.

The following are the steps required to create a column in Image Explorer:

  1. Select a table in the Image Explorer Tree or Image Explorer List for which the new column will be created.

  2. Select the File | New | Column menu command to display the Create Column dialog.

  3. Enter a column name.

  4. Select the data type for the column.

  5. If the Length field is enabled, you must specify a maximum length for the column.

  6. If the Decimal Places field is enabled, you must specify the number of decimal places.

  7. Select the OK button to return to Image Explorer.


Image Explorer

Reserved Words

ODBC contains certain words that may not be used for table and column names.

In addition to these reserved words, each particular database may also have additional reserved words. Refer to your database’s documentation for the list of additional reserved words.

ABSOLUTE | DEFAULT | JOIN | ROWS
ACTION | DEFERRABLE | KEY | SCHEMA
ADA | DEFERRED | LANGUAGE | SCROLL
ADD | DELETE | LAST | SECOND
ALL | DESC | LEADING | SECTION
ALLOCATE | DESCRIBE | LEFT | SELECT
ALTER | DESCRIPTOR | LEVEL | SESSION
AND | DIAGNOSTICS | LIKE | SESSION_USER
ANY | DISCONNECT | LOCAL | SET
ARE | DISTINCT | LOWER | SIZE
AS | DOMAIN | MATCH | SMALLINT
ASC | DOUBLE | MAX | SOME
ASSERTION | DROP | MIN | SPACE
AT | ELSE | MINUTE | SQL
AUTHORIZATION | END | MODULE | SQLCA
AVE | END-EXEC | MONTH | SQLCODE
BEGIN | ESCAPE | NAMES | SQLERROR
BETWEEN | EXCEPT | NATIONAL | SQLSTATE
BIT | EXCEPTION | NATURAL | SQLWARNING
BIT_LENGTH | EXEC | NCHAR | SUBSTRING
BOTH | EXECUTE | NEXT | SUM
BY | EXISTS | NO | SYSTEM_USER
CASCADE | EXTERNAL | NONE | TABLE
CASE | EXTRACT | NOT | TEMPORARY
CAST | FALSE | NULL | THEN
CATALOG | FETCH | NULLIF | TIME
CHAR | FIRST | NUMERIC | TIMESTAMP
CHAR_LENGTH | FLOAT | OCTET_LENGTH | TIMEZONE_HOUR
CHARACTER | FOR | OF | TIMEZONE_MINUTE
CHARACTER_LENGTH | FOREIGN | ON | TO
CHECK | FORTRAN | ONLY | TRAILING
CLOSE | FOUND | OPEN | TRANSACTION
COALESCE | FROM | OPTION | TRANSLATE
COLLATE | FULL | OR | TRANSLATION
COLLATION | GET | ORDER | TRIM
COLUMN | GLOBAL | OUTER | TRUE
COMMIT | GO | OUTPUT | UNION
CONNECT | GOTO | OVERLAPS | UNIQUE
CONNECTION | GRANT | PAD | UNKNOWN
CONSTRAINT | GROUP | PARTIAL | UPDATE
CONSTRAINTS | HAVING | PASCAL | UPPER
CONTINUE | HOUR | PLI | USAGE
CONVERT | IMMEDIATE | POSITION | USER
CORRESPONDING | IN | PRECISION | USING
COUNT | INCLUDE | PREPARE | VALUE
CREATE | INDEX | PRESERVE | VALUES
CROSS | INDICATOR | PRIMARY | VARCHAR
CURRENT | INITIALLY | PRIOR | VARYING
CURRENT_DATE | INNER | PRIVILEGES | VIEW
CURRENT_TIME | INPUT | PROCEDURE | WHEN
CURRENT_TIMESTAMP | INSENSITIVE | PUBLIC | WHENEVER
CURRENT_USER | INSERT | READ | WHERE
CURSOR | INT | REAL | WITH
DATE | INTEGER | REFERENCES | WORK
DAY | INTERSECT | RELATIVE | WRITE
DEALLOCATE | INTERVAL | RESTRICT | YEAR
DEC | INTO | REVOKE | ZONE
DECIMAL | IS | RIGHT |
DECLARE | ISOLATION | ROLLBACK |


Table General

Image Explorer

General Table Properties

The Table Properties General tab specifies the table name, the Image Explorer object type, the Description, and the storage location for the image and thumbnail.

You can enter a new description and press the OK or Apply buttons to change the description.


General

Image Explorer

General Column Properties

The Column Properties General tab specifies the column name, the Image Explorer object type, the column size (if applicable), and column decimals (if applicable).


Default Value

The Column Properties Default Value tab allows you to enter a default value to be used for generating a column value when inserting new images into Image Explorer.

See Default Values Overview


Image Explorer

Default Values Overview

Each column in Image Explorer can have a default value specified which is used as a default value when inserting a new record. The default value you specify for a column will be used for the specified column for all subsequently inserted image records until you replace the default value or remove the default value.

The default value can be a string or number that is the same for each inserted record, or it can be an Image Explorer macro. Macros are commands that will be executed at the time of insert to calculate the value for an inserted item.

Defining Constant Values as Default Values

Defining Default Values Using Image Explorer Macros


Image Explorer

Defining Constant Values as Default Values

Each column in Image Explorer can have a default value specified which is used as a default value to use when inserting a new image. The default value you specify for a column will be used for the specified column for all subsequently inserted image records.

The following are the steps required to assign a default value to a column.

  1. Select a column in the Image Explorer Tree or Image Explorer List.

  2. Right-click on the column and select Properties.

  3. Click the Default Value tab in the property sheet.

  4. Enter a value to use as the default in the Default Value field.

  5. Select the OK button to apply your change.

The Default Value field contains a list of other default values in the database currently being used by other columns. You can alternatively select and re-use another column’s default value for a column’s default value.


Image Explorer

Defining Default Values Using Image Explorer Macros

Each column in Image Explorer can have a default value specified which is used as a default value to use when inserting a new record. The default value you specify for a column will be used for the specified column for all subsequently inserted image records.

In addition to specifying a constant text or numeric value to be used as the default, you can alternatively specify an Image Explorer macro that will dynamically at insert time calculate the default value.

The available iBank macro commands are as follows:

Name()

The Name macro allows you to specify a prefix used to generate a unique name for newly inserted records. For example, if the default value is supplied for a column using ‘Name(Vacation )’, the column value generated for each inserted record will be Vacation 1, Vacation 2, Vacation 3, etc. Note that a space was provided after Vacation so that a space would be placed in the resulting name.

If at a later time, Vacation 2 is deleted and subsequently another record is inserted, the newly inserted record will be assigned the name Vacation 2.

The Name() macro can only be applied to columns with a string data type such as VARCHAR2 for Oracle or TEXT for Microsoft Access.

Time()

The Time macro is used to assign the current date and/or time at insert time when inserting a new record with the result formatted to your specifications. Special formatting characters are used to specify the resulting format.

To format the inserted value as 11:59 PM December 31, 1999 you would supply a Time() macro as follows: ‘Time(%I:%M %p %B %d, %Y)’. Notice that spaces and commas can be used for formatting the resulting value.

The format specifiers are listed below:

  • %a Abbreviated weekday name

  • %A Full weekday name

  • %b Abbreviated month name

  • %B Full month name

  • %c Date and time representation appropriate for locale

  • %d Day of month as decimal number (01 to 31)

  • %H Hour in 24-hour format (00 to 23)

  • %I Hour in 12-hour format (01 to 12)

  • %j Day of year as decimal number (001 to 366)

  • %m Month as decimal number (01 to 12)

  • %M Minute as decimal number (00 to 59)

  • %p Current locale's A.M./P.M. indicator for 12-hour clock

  • %S Second as decimal number (00 to 59)

  • %U Week of year as decimal number, with Sunday as first day of week (00 to 51)

  • %w Weekday as decimal number (0 to 6; Sunday is 0)

  • %W Week of year as decimal number, with Monday as first day of week (00 to 51)

  • %x Date representation for current locale

  • %X Time representation for current locale

  • %y Year without century, as decimal number (00 to 99)

  • %Y Year with century, as decimal number

  • %z, %Z Time-zone name or abbreviation; no characters if time zone is unknown

  • %% Percent sign

  • %#c Long date and time representation, appropriate for the current locale as specified in the Control Panel. i.e. Friday, December 31, 1999, 23:59:59’

  • %#x Long date representation, appropriate for the current locale. i.e. ‘Friday, December 31, 1999’

To remove leading zeros in the output, add the ‘#’ to the specifier as follows: %#d, %#H, %#I, %#j, %#m, %#M, %#S, %#U, %#w, %#W, %#y, %#Y

The Time() macro can be applied to columns with the string data type or to TIMESTAMP columns. In the latter case, the result of the Time() macro will be parsed and converted to a representation suitable to the database management system for the TIMESTAMP data type.

Now()

The Now macro does not take any arguments. Using Now() as the default column value will format the output as follows ‘12/31/1999 23:59:59’.

SQL()

The SQL macro will execute an SQL SELECT query based on the select statement you provide. The value inserted as the default column value will be the value of the first column in the first record that is returned by executing the SELECT query you supply. The select statement must be contained within double quotation marks.

The following SQL( ) macro when used as a default value will get a count of all records in the table ‘MyTable’ and insert the result as the default value in the column where this macro is defined:

SQL("Select Count(*) From MyTable")

The SQL macro can perform any query on any table in the current data source.

FileTime()

The FileTime macro will assign the last write time as a field value for image files imported into Image Explorer. Formatting is exactly the same as the Image Explorer Time() macro above. The last write time is the timestamp for the last time a file was saved in Windows.

FileTitle()

The FileTitle macro will assign the filename without any extensions such as .bmp or .jpg for image files imported into Image Explorer. For example, if an image is imported with a filename of 'MyPicture.jpg', the FileTitle macro will assign the value of 'MyPicture' to the column.

FileName()

The FileName macro will assign the filename including any extensions such as .bmp or .jpg for image files imported into Image Explorer. For example, if an image is imported with a filename of 'MyPicture.jpg', the FileName macro will assign the value of 'MyPicture.jpg' to the column.


Image Explorer

Deleting Tables

When a table is deleted from Image Explorer, all queries as well as all images stored by the table are also deleted. This means that if a table’s images are being stored in a file system, theses images will be deleted when the table is deleted.

The following steps are required to delete an Image Explorer table:

  1. Select the table you want to delete in the Image Explorer Tree or Image Explorer List.

  2. Right click on the table name and select the Delete menu command.


Image Explorer

Deleting Columns

The following steps are required to delete an Image Explorer table column:

  1. Select the column you want to delete in the Image Explorer List.

  2. Right click on the table column name and select the Delete menu command.

Deleting of table columns is not supported by all database management systems. Oracle does not allow the deletion of table columns. If you try to delete a table column in a database management system that does not support this, an error message will be displayed.


Queries Overview

Image Explorer

Query Overview

Using the Query Builder

Use the Query Builder to extract images and columns from a database based on pertinent information. Queries are based on SQL (Structured Query Language), a versatile, widely used database query language for relational databases. While SQL is a very powerful query language, it can be quite complex. To reduce this complexity, the Query Builder breaks SQL statements down to its simplest components and provides point and click methods for selecting columns, data specification and sorting.

Creating a New Query

To create a new query, select a table in the Image Explorer Tree or Image Explorer List and select the File | New | Query menu command. This brings up the Query Builder as shown in the figure below.

The default query returns all columns in the table unsorted.

The Title

Give the query a title by right clicking on Untitled then selecting Edit from the pop-up menu. This will display the Query Name Editor dialog box. Give the query a name then select OK.

The SELECT Statement

Right-clicking on SELECT shows a list of columns that can be returned from the query. Any column in the current database table can be returned. When you select a column from the popup menu, the column will be displayed under the SELECT label in the query tree. You can remove columns you have added by right clicking on the column name and selecting DELETE. Note that "image_name" and the data for the other required Image Explorer columns (not shown in the query tree) are returned with every query and cannot be deleted from the query.

The FROM Condition

The FROM clause specifies the table from which the images will be retrieved. This value contains the name of the table that was selected when the Query Builder was opened and cannot be changed.

The WHERE Condition

The WHERE condition specifies the important table information that is the subject of a query. The WHERE condition is probably the most difficult to master for people with no SQL experience. Right clicking on WHERE shows a pop-up menu that allows the selection of a database column. Select a column to bring up the Where Condition Editor. Now use SQL to build a query on this column. Right clicking again allows the creation of AND and OR clauses for each column.

The ORDER BY Condition

Right click on ORDER BY to select the order in which the results of a query are returned. For example, selecting the Creation_Date column returns items sorted by date. Selecting the "image_name" column returns the items in the alphabetical order of the image names.

After creating a query, select the Validate button to make sure that the query is valid. If it's not valid the problem is most likely the result of an ill formed WHERE condition. After successfully building the query select OK. The newly created query will now be shown as a new item under the table that was selected when Query Builder was started.

The SQL Tab

Click on the SQL tab to inspect the actual SQL statement generated with the Query Builder. This includes some columns that are used to get the actual image and thumbnail and are not visible through the Query Builder interface. This view of the query is provided for experienced SQL users to see exactly what the query looks like.


Image Explorer

Deleting Queries

When a query is deleted, the image records returned when a query is executed are not deleted. While it may appear that a collection of image records returned by executing a query belong to the query, the images in fact are "owned" by the query’s table.

The following steps are required to delete an Image Explorer query:

1. Select the query you want to delete in the Image Explorer Tree or Image Explorer List.

2. Press the Delete button on the keyboard or select File | Delete..


Image Explorer

General

The Query Properties General tab specifies the query name and the Image Explorer object type.


Image Explorer

SQL Reference

SELECT (required)

SELECT is usually the first word in an SQL statement.

SELECT statements don't change data in the database.

The minimum syntax for a SELECT statement is:

SELECT columns FROM table

Only those columns listed after the SELECT keyword in a SELECT statement are returned. For instance if you want the columns named image_name and size to be returned from a query of a table called MyTable, the syntax would be "SELECT image_name, size FROM MyTable". Every iBank Select statement will contain the iBank required columns in addition to any user columns such as size that are added to the Select statement. The iBank required columns cannot be removed from the select statement via Query Builder.

FROM (required)

FROM is usually the second SQL keyword in an SQL statement.

The table name of the table to be queried follows the FROM keyword. For example, the SQL statement "SELECT image_name, size FROM MyTable" will perform a query that returns all records from the table "MyTable". Note that only the columns image_name and size are returned with each record.

WHERE (optional)

The WHERE keyword is followed by syntax used to filter the records in the query.

Example 1:

Query

"SELECT image_name, size FROM MyTable WHERE size > 5"

Returns

All records in the table "MyTable" in which the value in the size column is greater than 5.

See Also

Step 6: Creating a Query


Examples

Image Explorer

SQL Examples

The following queries will demonstrate the most common types of queries. For our examples, the SQL will be written against a table with the following columns:

Table: MyImages

image_name | CHAR(20)
temp_mean | DOUBLE
temp_max | DOUBLE
temp_min | DOUBLE
datestamp | DATE/TIME

  1. Select all images in the database:

    SELECT
    image_name
    FROM
    MyImages

  2. Select all images with an image name of 'Sobel' along with all stored data sorted by date:

    SELECT
    image_name
    temp_mean
    temp_max
    temp_min
    datestamp
    FROM
    MyImages
    WHERE
    image_name = 'Sobel'
    ORDER BY
    datestamp

  3. To return all images starting with the letter 'S':

    SELECT
    image_name
    the_mean
    the_max
    the_min
    datestamp
    FROM
    MyImages
    WHERE
    image_name like 'S%'
    ORDER BY
    datestamp

    Note: The '%' character is a wild card character for string data. You can place one or more wild card characters in your string to cause a match on any set of characters.

  4. Select all images with image_name containing the word 'bel' where character case does not matter:

    SELECT
    image_name
    the_mean
    the_max
    the_min
    datestamp
    FROM
    MyImages
    WHERE
    ucase(image_name) like '%BEL%'
    ORDER BY
    datestamp

    Note: the ucase function translates all characters in image_name to upper case for comparison.

  5. Select all images that have the_mean with a value > 5:

    SELECT
    image_name
    the_mean
    FROM
    MyImages
    WHERE
    the_mean > 5
    ORDER BY
    datestamp

  6. Select all images where the the_mean is between 5 and 10

    SELECT
    image_name
    the_mean
    FROM
    MyImages
    WHERE
    the_mean between 5 and 10
    ORDER BY
    datestamp

  7. Select the image with the smallest value of the_max that have a the_mean < 5

    SELECT
    image_name
    the_mean
    FROM
    MyImages
    WHERE
    the_max in (select min(the_max) from MyImages where the_mean < 5)
    ORDER BY
    datestamp

    Note: This is an example of using a subquery to find the minimum value in the table. Subqueries can contain any valid SQL statement that select only one column. With this technique, you can compose complex queries that filter results based on data in any table.

  8. Select all images with a datestamp older than 08/20/1999

    SELECT
    image_name
    FROM
    MyImages
    WHERE
    datestamp < #08-20-1999#
    ORDER BY
    datestamp

  9. Return all images older than one day

    SELECT
    image_name
    FROM
    MyImages
    WHERE
    datestamp < now - 1
    ORDER BY
    datestamp


Overview

Image Explorer

Importing Images Overview

Image Explorer makes a copy of all imported images. This is done so that referential integrity is maintained even if you move or delete your source images.

When images are imported into an Image Explorer table, they are held temporarily by the table selected during the import. When the table is refreshed, the images will only be visible by executing a query that returns the images. You can perform image and data editing on the temporary images in the table item using the same methods for image and data editing for images returned by a query.

Images can be imported into Image Explorer using the following methods:

  1. Importing Images Using the Import Image Dialog

  2. Importing Images Using the Copy and Paste

  3. Importing Images Using Drag and Drop

  4. Importing Images Using a TWAIN Device

See Also: Database Save Format Options


Image Explorer

Importing Images Using the Import Image Dialog

To import an image using the Import Image Dialog, select a table in the Image Explorer Tree then select the File | New | Import Images... command or right click in the Image Explorer List and select New | Import Images... from the popup menu.

The Import Image dialog will be displayed. Navigate to any directory that contains an image you would like to import. Select one or more images in the list portion of the Import Image dialog. A small thumbnail will be displayed if only one image is selected. Select Open to import the selected images into Image Explorer.


Importing Images Using the Windows Clipboard

Image Explorer

Importing Images Using Copy and Paste

Images can be imported into Image Explorer using the Paste command. Image Explorer supports pasting of images using multiple Windows Clipboard formats.

Files

Multiple image files can be imported by selecting image files in the Windows Explorer and selecting Edit | Copy.

DIB, Bitmap, Windows MetaFile

Images can be imported one at a time if you copy an image from a third-party image processing tool such as Adobe PhotoShop. Typically, you will select Edit | Copy from the third-party tools menu to copy the image you are working on to the clipboard.

To import an image or images that have been placed on the clipboard, select a table in the Image Explorer Tree, right click and select Paste.

Note: If you drop images that have been copied from Image Explorer and the destination table has one or more of the same columns as the source table, you will be given the opportunity to copy the source images' data as well. This feature will make porting image records from database to database very easy.


Image Explorer

Importing Images Using Drag and Drop

Drag and drop is a faster method than using copy and paste. The Windows clipboard is used for drag and drop just like copy and paste so the same clipboard formats supports for copy and paste are supported for drag and drop.

To import images from file using drag and drop, place the Image Explorer and Windows Explorer windows side-by-side. Select one or more images in Windows Explorer, then while pressing the left mouse button on the selected images, drag the images to an Image Explorer table. When you move the cursor over an Image Explorer table, the cursor will change to signify that it can accept the drop. When the cursor changes, release the left mouse button to import the images into Image Explorer.

Note: If you drop images that have been copied from Image Explorer and the destination table has one or more of the same columns as the source table, you will be given the opportunity to copy the source images' data as well. This feature will make porting image records from database to database very easy.


Image Explorer

Importing Images Using a TWAIN Device

Images can be imported into Image Explorer from a TWAIN device. TWAIN devices are flatbed scanners, slide scanners, and digital cameras.

If you have multiple TWAIN devices on your computer, you will need to select the desired TWAIN device using the Select Source dialog. To open the Select Source dialog, select File | TWAIN Select Source...

To import images using a TWAIN device, select a table in the Image Explorer Tree then select the File | New | TWAIN Image Acquisition... command or right click in the Image Explorer List and select New | TWAIN Image Acquisition... from the popup menu. The current TWAIN device will launch its own program for retrieving TWAIN images. When you return from the TWAIN device's program, your images will be imported into the selected table.


Overview

Image Explorer

Exporting Images Overview

Images can be exported from Image Explorer using the following methods:

  1. Exporting Images Using the Export Image Dialog

  2. Exporting Images Using Copy and Paste

  3. Exporting Images Using Drag and Drop

Exporting images using the Export Image dialog will allow you to specify a file name for the exported image while copy/paste or drag/drop will automatically generate file names if the images are exported to file. You can specify that images be converted to any image format on export or export the images as saved in the database. See Options.

In all exporting methods, a copy of the image in Image Explorer is generated and exported. The source image is not removed.

See Also: Export Format Options


Image Explorer

Exporting Images Using the Export Image Dialog

You can export an image from Image Explorer to the file system on your computer or another program using the File Save dialog. The File Save dialog only allows you to export one image at a time. If you need to export multiple images, see Exporting Images Using Copy and Paste or Exporting Images Using Drag and Drop.

To export images using the File Save dialog, select a query in the Image Explorer Tree then right click on an image and select the Export Image to File... menu command.

The Export Image will be displayed.

The initial File Name provided will be the same value that was in the image_name column in the table. You can change the file name to suit your needs.

The export options are:

Save as type: Specifies the format and file extension of the image file when saved to a directory.

Subfile type: Provides additional format options for the selected Save as type format.

Compression: If the format selected in the Save as type allows a compression to be set, use the adjustable slider to set the export compression.

Export as Saved in the Database: Select this to export the image in the same format used to save the image. If this is selected, the above options will be disabled.


Image Explorer

Exporting Images Using Copy and Paste

Images can be exported from Image Explorer using the Copy command. Image Explorer supports copying of images using multiple Windows Clipboard formats.

Files

Multiple image files can be exported by selecting one or more images in the Image Explorer List and selecting Edit | Copy.

DIB, Bitmap, Windows MetaFile

When you copy an image, the image will be available for pasting in third-party tools such as Adobe PhotoShop.

To export an image or images from Image Explorer, select the image(s) in the Image Explorer List and select Edit | Copy. When you select Edit | Paste in a third-party tool or the Windows Explorer, the images will be rendered.


Image Explorer

Exporting Images Using Drag and Drop

Drag and drop is a faster method than using copy and paste. The Windows clipboard is used for drag and drop just like copy and paste so the same clipboard formats supports for copy and paste are supported for drag and drop.

To export images from Image Explorer using drag and drop, place the Image Explorer and Windows Explorer windows side-by-side. Select one or more images in the Image Explorer List, then while pressing the left mouse button on the selected images, drag the images to a Windows Explorer directory. When you move the cursor over a Windows Explorer directory, the cursor will change to signify that it can accept the drop. When the cursor changes, release the left mouse button to render the images into the selected directory.

The above method can also be used to drag and drop images into a third-party tool such as Adobe PhotoShop.


Overview

Image Explorer

Replacing Images Overview

Images in Image Explorer can be replaced while maintaining the image data. This feature will allow you to drag an image from Image Explorer into a third-party tool, edit the image, then copy/paste the image back into the original image record.

Images can be replaced in Image Explorer using the following methods:

  1. Replacing Images Using the Replace Image Dialog

  2. Replacing Images Using Copy and Paste

  3. Replacing Images Using Drag and Drop


Image Explorer

Replacing Images Using the Replace Image Dialog

You can replace an image for an image record using the Replace Image dialog.

Right click on an image in the Image Explorer List, then select the Replace Image... command to display the Replace Image dialog.

Browse to the folder containing the new image, select an image, then select Open.


Image Explorer

Replacing Images Using Copy and Paste

You can replace an image for an existing image record using Copy and Paste. You can paste images that have been copied from Windows Explorer, a third-party imaging tool, or from Image Explorer.

To replace an image using copy and paste, copy an image to the clipboard using any method mentioned above. Right click on an image in the Image Explorer Tree and select Paste. You will be prompted to confirm the operation and if you select Yes, the image will be replaced.


Image Explorer

Replacing Images Using Drag and Drop

You can replace an image for an existing image record using drag and drop. Drag and drop is a faster method than using copy and paste. The Windows clipboard is used for drag and drop just like copy and paste so the same clipboard formats supports for copy and paste are supported for drag and drop.

To replace an image using drag and drop, place the Image Explorer and Windows Explorer windows side-by-side. Select an image in Windows Explorer, then while pressing the left mouse button on the selected image, drag the image to the image in the Image Explorer List that you would like to replace. When you move the cursor over the image in Image Explorer, the cursor will change to signify that it can accept the drop. When the cursor changes, release the left mouse button to replace the image. You will be prompted to confirm the operation and if you select Yes, the image will be replaced.


Image Explorer

Editing Images

Image Explorer contains the Image Workshop image editing tool. To start Image Workshop, select an image in the Image Explorer List, right click on the image and select Image Workshop... from the popup menu.

Changes you make to an image will not be reflected in Image Explorer until you refresh the query containing the image.

For further information on Image Workshop, see the Image Workshop Overview.


Editing Image Records

Image Explorer

Editing Image Image

The Edit Record Data dialog is used to change the column values for a selected record image.

The following steps are required to edit an image record’s data:

  1. Select an image record in the Image Explorer List.

  2. Place your mouse cursor over a cell to the right of the column you want to edit and click. The yellow section above.

  3. Type in the new value for the column.

  4. Repeat steps 3 and 4 for each column you want to change the value for.

  5. Select Update to save the changes.

NOTE: If you select another image in the Image Explorer List before selecting Update, your changes will not be applied.


Image Explorer

Editing Data for Multiple Image Records

The Update All dialog allows you to change the value in a column for all records returned by a query in one step.

The following steps are required to change a column value for all records returned by a query:

  1. Select a query in the Image Explorer Tree or Image Explorer List.Right-click on the query and select Change Column Values.

  2. Select the column that you will be assigning a new value for in the Column Name droplist.

  3. Enter a new value for the column in the New Value field.

  4. Select Update to apply your change.


Image Conversion

Image Explorer

Batch Image Conversion

Batch image conversion is accomplished through a number of methods using Image Explorer features. The easiest method for converting a collection of images from one format such as Windows Bitmap (*.bmp) to another format such as JFIF (*.jpg) is to use the Export Format Options with one of the image export methods.

See Export Format Options and Exporting Images Overview.


Image Explorer

Batch Image Resizing

Batch image resizing is accomplished using the Image Resize dialog for one or more images. The Image Resize dialog is a faster method for image resizing than using Image Workshop's resizing functions.

To display the Image Resize dialog, select one or more images in the Image Explorer Tree, right click on the selection and choose the Resize Image... menu option.

The Image Resize dialog enables you to specify several different ways to resize your collection of images.

When the Image Resize dialog is displayed, the New Width and New Height fields will display the current width and height for the first image in the collection of images being resized.

Constant Aspect Ratio

Select the Keep Aspect checkbox to maintain the aspect ratio (width / height) when resizing the images.

The Resize all images proportionally, Resize all images based on New Width, and Resize all images based on New Height selections enable you to specify the resizing behavior when more than one image is being resized and the images are not all the same width and height.

For example, suppose there are two images selected in the Image Explorer List when the Image Resize dialog is launched. Further, suppose the first image's dimensions are 640 pixels wide x 480 pixels tall and the second image's dimensions are 480 pixels wide x 640 pixels tall. Finally, enter value in the New Width field of 320 pixels. When you select another control in the dialog, the value in the New Height field will be recalculated to 240 pixels to maintain the aspect ratio of the image.

Given the previous example, selecting Resize all images proportionally will resize the first image to 320 pixels wide x 240 pixels tall. The dimensions of the second selected image will be changed from 480 pixels wide x 640 pixels tall to 240 pixels wide x 320 pixels tall.

Selecting Resize all images based on New Width will resize the first image to 320 pixels wide x 240 pixels tall. The dimensions of the second selected image will be changed from 480 pixels wide x 640 pixels tall to 320 pixels wide x 427 pixels tall.

Selecting Resize all images based on New Height will resize the first image to 320 pixels wide x 240 pixels tall. The dimensions of the second selected image will be changed from 480 pixels wide x 640 pixels tall to 180 pixels wide x 240 pixels tall.

Absolute Width and Height

De-select the Keep Aspect checkbox to apply the New Width and New Height values to all images. The aspect ratio in this case will not be preserved. Each image will be resized to the New Width and New Height values specified.


Image Explorer

Batch Image Rotation

Batch image rotation is accomplished using the rotate image menu commands in Image Explorer. Batch image rotation is a faster method to rotate images than using Image Workshop's image rotation functions.

To rotate one or more images, select one or more images in the Image Explorer List, right click and select Rotate Image 90 CW, Rotate Image 90 CCW, or Rotate Image 180 from the popup menu.


General

Image Explorer

General Image Properties

The Image Properties General tab specifies the image name and the Image Explorer object type.


Image

Image Explorer

Image Properties

The Image Properties Image tab specifies properties about the image stored in the database.

The Size property is the size of the image after being loaded in memory. This is not the size as saved in the database or the size of a file if the image is exported. All images are bitmaps in memory and the required memory to display an image is easy to calculate. In the above properties, (640 pixels x 480 pixels x 24 bits per pixel) / (8 bits / byte) = 921600 bytes.


Deleting Image Records

When an image record is deleted from an Image Explorer table, the image stored in a file system will also be deleted if the table containing the record is storing its images in a file system.

The following steps are required to delete an Image Explorer image record:

1. Select the image record you want to delete in the Image Explorer List.

2. Press the Delete keyboard button. (alternatively, you can select the Delete menu command from the image's popup menu)


Image Explorer

Viewing Slide Shows

Image Explorer enables you to view the images returned by a query in full-screen slide show mode.

See Slide Show Options for setting the slide show settings.

To start a slide show, right-click on a query in the Image Explorer Tree or Image Explorer List and select the Slide Show command from the popup menu.

To advance to the next slide, click the left mouse button.

Pressing the Esc on the keyboard will end the slide show and return to Image Explorer.


Overview

Image Explorer

Options Overview

Options are settings that are not specific to a particular Image Explorer database. The following options are user configurable:

  1. Export Format Options

  2. Database Save Format Options

  3. Slide Show Options


Image Explorer

Export Format Options

The Export Format options property page is displayed by selecting File | Options and selecting the Export Format tab.

The options specified in Export Format are used to determine the image format when exporting images from Image Explorer using copy/paste and drag/drop.

You can specify one format to use for all exported images or you can select Export as Saved in which case the format of the exported images will be exactly the same as the format used to save the images.

The Subfile type and Compression slider controls are only visible when applicable to the selected format in the Export Format list.

If you are exporting images for display on computer monitors only and the compression slider is active, selecting a compression of 25 typically provides optimum results. Often times though, you might have to use trial and error to determine the optimum compression setting.


Image Explorer

Database Save Format Options

The Database Save Format options property page is displayed by selecting File | Options and selecting the Database Save Format tab.

The options specified in the Database Save Format are used to determine the image format when saving your images in the database.

You can specify one format to use for all saved images or Save imported images from file as the native type which will save images in the same format as the source image file.

The Subfile type and Compression slider controls are only visible when applicable to the selected format in the Export Format list.

Specifying a format that is uncompressed such as BMP will result in faster retrieval of images from the database but the size of the database will be larger. Specifying a format that is compressed such as JPG will result in a smaller database but retrieval times will be longer. Also, certain formats such as JPG and CMP are "lossy" which means that some of the image data is lost during compression, so if image data loss is a concern, specify a minimum compression.


Image Explorer

Slide Show Options

The Slide Show options property page is displayed by selecting File | Options and selecting the Slide Show tab.

The Slide Show options page allows you to customize the behavior of slide shows.

When a slide show is displayed, you can check the Automatically advance after checkbox and specify a delay in seconds for automatically displaying the next slide during a slide show. If this checkbox is not selected, you must press the left mouse button to advance to the next slide during a slide show.

If the Repeat continuously checkbox is selected, the slide show will show the first image returned by the query after the last image is displayed. If this checkbox is not selected, the slide show will end after displaying the last image.

The Transition effects group allows you to specify a "wipe" to apply when displaying each image during a slide show. Set the slide control to a speed that is appropriate for your machine. You will have to try different settings until you are satisfied with the effect.


Overview

Image Workshop Overview

Image Workshop is a general purpose image manipulation tool for images stored in an Image Explorer image database.

With Image Workshop you can crop, rotate, mirror, and resize images. You can also perform many color transformations on your images including grayscale, halftone, and inversion. You can also perform advanced image manipulation and filtering effects such as embossing, oilifying, and posterizing.

Image Workshop must be launched from Image Explorer.

Right click on an image in the Image Explorer List and select Image Workshop... from the popup menu.


Image Workshop Window

Image Workshop must be launched from Image Explorer.

Right click on an image in the Image Explorer List and select Image Workshop... from the popup menu.


File Menu

Image Workshop File Menu

File Menu

Save:

Saves the current image to the database.

Save As:

Enables you to create a new image in the database using the current image. The new image will be created in the same table that contained the image used when Image Workshop was started. The New Record Dialog will be displayed for setting initial values of the new image record.

Set as Wallpaper:

Sets the current image in Image Workshop as the Windows Desktop wallpaper.

Page Setup:

Launches to Page Setup dialog for specifying printing properties. See Page Setup

Properties:

Displays properties associated with the current image. See Image Properties.


New Record Dialog

Image Workshop New Record Dialog

The New Record dialog enables you to specify initial values when creating a new image record using the File | Save As menu command from Image Workshop.

When saving an image using File | Save As, the image is saved in the table that contained the original image used to start Image Workshop from Image Explorer. All of the table columns will be available for setting initial values for the new record.


Page Setup

Image Workshop Page Setup

The Page Setup dialog enables you to customize properties when printing images from Image Workshop.

Up to four copies of the current Image Workshop image can be printed per page through the Images printed per page selection.


Edit Menu

Image Workshop Edit Menu

Edit Menu

Undo:

Restores the current image to the previous state prior to the last operation.

Copy:

Copies the image to the Windows clipboard.

Paste:

Replaces the current image with an image on the Windows clipboard if an image is available.

Crop Selection:

Crops the image using the current selection.

To select a portion of an image for cropping, hold the left mouse button down while moving the mouse from the upper left to the lower right.


View Menu

Image Workshop View Menu

View Menu

View Menu operations do not change the image. These operations are provided only as viewing options.

Normal:

The image will be viewed at its normal size. This command will restore the view after a zoom operation.

Fit to Window:

The image will be zoomed to fit the dimensions of the Image Workshop window. The aspect ratio of the image will be maintained.

Zoom:

Displays the Zoom dialog. Enter a value from 10 to 1000%. Entering a number less than 100% will reduce the viewable size of the image while entering a number greater than 100% will increase the viewable size of the image.

Toolbar:

Displays or hides the Image Workshop toolbar.

Status Bar:

Displays or hides the Image Workshop status bar.


Image Menu

Image Workshop Image Menu

Image | Mirror Menu

Vertical:

Flips the image vertically.

Horizontal:

Flips the image horizontally.

Image | Rotate Menu

90 CW:

Rotates the image 90 degrees clockwise.

90 CCW:

Rotates the image 90 degrees counter-clockwise

180

Rotates the image 180 degrees.

Specify Angle

The Rotate dialog will be displayed. The Rotate dialog is used to specify a custom rotation angle. If the background is visible after rotating, you can specify a background color for the areas not occupied by the rotated image.

Image Menu

Add Noise:

Adds random pixels to a bitmap. You can set the level of coverage and the affected color planes.

Average Filter:

Changes the color of each pixel in a bitmap to the average color of surrounding pixels resulting in a blur effect.

Median Filter:

Changes the color of each pixel in a bitmap to the median color of surrounding pixels. This effect is used for reducing the image's noise.

Emboss:

Embosses the image using the direction and depth you specify.

Mosaic Filter:

The mosaic filter divides the image into square regions that you specify. The color of each square region is an average of all pixel colors within the region.

Oilify:

The oilify command will apply an oil-painting effect to the image.

Posterize:

Applies a poster effect by reducing the image's colors to a specified number of color planes. If you specify 4 color levels per plane, the resultant image will have 4 colors each of red, green, and blue.

Sharpen:

Sharpens the image.

Solarize:

Inverts all pixels with a color intensity greater than or equal to the intensity that you specify.


Color Menu

Image Workshop Color Menu

Color Menu

Halftone:

Converts an image to a 1-bit image that has been dithered for black and white.

Grayscale:

Converts an image to an 8-bit grayscale image.

Invert:

Inverts an images colors producing an effect similar to a photographic negative.

Brightness:

Increases or decreases the image's brightness.

Contrast:

Increases or decreases the image's contrast.

Hue:

Increases or decreases the image's hue.


Help Menu

Image Workshop Help Menu

Help Menu

Help Topics:

Displays this help system.

Renaissance Software on the Web:

Launches your default browser and takes you to Renaissance Software's home page.

About Image Workshop:

Displays version and copyright information.


Overview

iPage Overview

The iPage application is an HTML report generator. iPage enables you to customize the appearance of your report and immediately see changes to your reports in the iPage browser window. iPage will generate complete, standalone web pages or you can specify an external HTML document to use as a template. iPage generates index pages using thumbnails of your images with links to pages containing the full-size image.

Using the iPage Web Site Template Editor, you can specify the layout of the thumbnail and full-size image pages and select which data columns associated with each image to display. The iPage Web Site Template Editor enables you to change the font, size, color, and other settings needed to create great looking reports and web pages. Sound files can also be included in the generated reports.

When you are finished creating the layout for your report, you can save the generated web pages to your file system or upload the generated web pages to a web site on the world wide web or intranet. You can also save the report format that you created in a website template file (*.wst) for re-use later with the same or different query.

Web site template (*.wst) files can be started from Windows Explorer to begin an editing session without launching Image Explorer.

Launching iPage

The iPage editor is started from Image Explorer by right clicking on a query in the Image Explorer Tree or Image Explorer List and selecting the iPage HTML Generator... menu command. iPage cannot be started if the selected query does not contain any images.

Image Format

The images used in the generated web pages will be .jpg, .gif, or .png. If the images stored in the database are one of these three types, the images will be used as is. If the images are stored in the database as another type such as .bmp or .tif, the images will be converted to .jpg format for the generated web pages.

Output

iPage will generate one or more HTML index pages and one HTML page for each image. The full-size images and optionally a background image will be saved in a subdirectory called Images. The thumbnails used by the index pages will be saved in the Thumbnails subdirectory. The filenames for the index pages will be Index001.html, Index002.html, etc. The filenames for the full-size image pages will be Image001.html, Image002, html, etc. If you specify a sound file to be used with your web pages, the sound file will be copied to the Sounds subdirectory.

Templates vs. Generated Web Pages

A .wst file is a web site template file that defines the layout and appearance of generated web pages. Whle the images and image data can change from invocation to invocation of iPage, the properties specified by a web site template remain the same. This feature enables you to re-use a template with different content.

The generated web pages are stored in a working directory while iPage is running. You must save the generated web pages to a directory before exiting iPage if you wish to save the generated web pages. Of course, you can always re-start iPage to regenerate your web pages.


iPage Properties

The iPage Properties dialog displays properties about the current .wst file.

Current Database Attributes

The current data source name, table, and query under which iPage was started.

Template Creation Attributes

The time when this template was originally created and the user that created the template, and the data source name, table, and query that this template was originally created.

The user is the user name used to connect to the data source. If a user name is not required to connect to a data source, the User value will be empty.

Last Modified Attributes

The time when this template was last modified and the user that modified the template.


iPage Website Template Editor

General

Title:

The title is text that will appear in a browser's title bar while your web pages are loaded.

Description:

The description should be a short description of the images that you will be creating web pages for. Search engines use the description when indexing your web pages.

Keywords:

Keywords are used by search engines to index your pages. Keywords must be separated by a comma and a space. As an example, the following could be used as keywords if your web pages contained images of automobiles:

    Automobile, Car, Ford, Taurus, F-150, Lincoln

Notice that each keyword is separated by a comma and a space. If you do not format your keywords correctly with a comma and a space, some search engines will ignore your keywords.

JPEG Image Compression:

If the images in the generated web pages are of type .jpg, you can specify the amount of compression to use for these image types. Typically, a compression of 20-25 is an optimum setting. If the resultant image quality is poor, choose a lower compression setting; but remember that a lower compression setting will result in a larger image size which increases the time required for world wide web users to download each image.

Extension:

You can specify the extension to use for the generated web pages. By default, the .html extension is used. If the extension that you would like to use is not included in the Extension list, you can enter a new extension and it will be used. Do not add the period (.) on your extension, it will be automatically added by iPage.


iPage Website Template Editor

Page Body

Text color:

Specify the default color to use for all non-hyperlink text on your web pages. This color will be used by default for all text if you do not specify a color for a text item. See Custom Colors.

Hyperlink color:

Specify the color to use for hyperlinks on your web pages. See Custom Colors.

When a user selects a hyperlink on your web pages, the browser will load a new page that the hyperlink specifies. For your generated web pages, the hyperlinks are typically other pages with thumbnail images or a full-size image.

Active hyperlink color:

Specify the color to use for active hyperlinks. See Custom Colors.

When viewing a web page, you can use the Tab keyboard key to move sequentially from one hyperlink to the next and press Enter to select the active hyperlink. This allows for the use of your web pages without a mouse. The active hyperlink is the current hyperlink that will be activated in this manner if the user presses the Enter key.

Visited hyperlink color:

Specify the color to use for visited hyperlinks. See Custom Colors.

Background color:

Specify the background color to use for your web pages. See Custom Colors.

Background image:

You can specify a background image for your web pages.

If you enter a local path, the image will be copied to the Images subdirectory. If you would like to re-use an existing image as a background image, you can enter a relative path or internet address such as http://www.yoursite.com/images/bkgnd.jpg.

If iPage cannot find the background image, the pages will still be created with the background image that you specified. If the background image cannot be located on your drives, the iPage editor will not show the background image, but when you upload your web pages to your internet site, the background image will then be seen on your web pages.

Width:

Specify the width in pixels for your generated web pages.

Alignment:

Specify the default horizontal alignment for your generated web pages. This alignment will be used as the default horizontal alignment for all other content unless you specify an alignment for a specific item.

Insert thumbnail tables and images into an existing HTML file:

If you have created a web page that you would like to use as a 'template' for containing the table of thumbnails and each full-size image, select the Insert thumbnail tables and images into an existing HTML file checkbox. When you select this checkbox, the controls on this page will be replaced with controls that enable you to specify the external template that you would like to use.

Normally, iPage creates standalone web pages, but selecting the Insert thumbnail tables and images into an existing HTML file checkbox enables you to use your own standalone web page and embed the thumbnail tables and images.

See User-Supplied Template


Page Website Template Editor

User-Supplied Template

You can supply a web page that you would like to use as a 'template' for containing your thumbnail indexes and full-size images. In this mode, the colors for text, hyperlinks, etc. and the Title, Description, and Keywords from the General page are not applied since these attributes apply to stand-alone pages only. In this mode, iPage will not create stand-alone pages but instead, embed the thumbnails and full-size images into a web page that you have specified.

The source web page is copied and the source web page is not modified by iPage.

You must enter the following HTML comment in the source web page at the location where you want iPage to display the thumbnail table or full-size image:

    <!--## iPage ##-->

Existing HTML file location:

If you have created a web page that you would like to use as a 'template' for containing your thumbnail indexes and full-size images, enter the path in the Existing HTML file location field.

Insert thumbnail tables and images into an existing HTML file:

De-select the Insert thumbnail tables and images into an existing HTML file checkbox to restore the normal Page Body attribute controls. When you de-select this checkbox, iPage will return to its normal mode which is to create stand-alone web pages.

See Page Body.


iPage Website Template Editor

Sound

You can specify a sound file to be used on thumbnail and/or image pages. You can specify that the sound file be copied to the Sounds subdirectory or instruct iPage to use an existing sound file without making a new copy.

When an HTML page with a sound file is loaded into a browser, the sound will automatically start. You can specify the number of times the sound file should be played or have the sound file play continuously.

The following sound formats are supported:

    Wave Sound (*.wav)

    Midi Sequence (*.mid)

    AIFF Sound (*.aif, *.aifc, *.aiff)

    AU Sound (*.au, *.snd)

Copy file:

Enter the path to a sound file or select Browse... to browse to the sound file. The sound file will be copied to the Sounds subdirectory.

Reuse file at location:

Enter a relative path or internet address such as http:\\www.yoursite.com\Sounds\BkgndSnd.wav. The sound file will not be copied to the sounds subdirectory.

Cycles:

Select the number of times the sound file should play or select Continuous to play the sound file continuously while the web page is loaded in the browser.

Play for thumbnail pages:

Select Play for thumbnail pages to play the sound on web pages with thumbnails.

Play for image pages:

Select Play for image pages to play the sound on web pages with full-size images.


iPage Website Template Editor

Thumbnail Table

The Thumbnail Table tab contains properties you can specify for the layout and appearance of the table of thumbnails on the index pages. The thumbnail table contains small thumbnail sized copies of each image. The thumbnail table is generated left to right and top to bottom starting with the first record returned by the query that generated the images.

Thumbnail Table

The properties within the Thumbnail table group are specific to the appearance of the table that contains the thumbnails.

Thumbnails per page:

Enter the maximum number of thumbnails to be displayed on each thumbnail page.

Thumbnails per row:

Enter the maximum number of thumbnails per row.

Thumbnail size (pixels):

Thumbnail size is the size in pixels of the table cell that will contain each thumbnail image. Images will be rendered such that their aspect ratio is maintained. If a thumbnail size of 112, 112 is specified as in the above screenshot, the thumbnail will be sized to fit a square of 112 x 112 pixels.

Border size (pixels):

Tables created using HTML can be displayed with or without a border. The border is applied to the outer edges as well as the interior edges of each table cell. Set Border Size (pixels) to 0 to hide the table border.

Cell padding:

Cell padding specifies the spacing in pixels to apply on the interior edges of each table cell.

Cell spacing:

Cell spacing specifies the spacing in pixels to apply on the exterior edges of each table cell.

Table width:

Enter a value that specifies the minimum width of the thumbnail table. You can specify an absolute width in pixels or specify a width that is a percentage of the window containing the thumbnail table.

Thumbnail Image

The properties within the Thumbnail image group are specific to the appearance of the thumbnail image within each table cell.

Horz. alignment:

Select the horizontal alignment of the thumbnail image within the table cell.

If <Default> is selected, the alignment specified on the Page Body page will be used or if you are embedding your images within an external HTML document, the default alignment will be determined by the external HTML document's horizontal alignment.

Vert. alignment:

Select the vertical alignment of the thumbnail image within the table cell.

Make thumbnail a hyperlink:

Select the Make thumbnail a hyperlink checkbox to include the thumbnail image in the hyperlink to the full-size image HTML page.

Use rollover effect:

If the Make thumbnail a hyperlink checkbox is selected, you can also select Use rollover effect. Selecting Use rollover effect will provide extra feedback to viewers of your web pages when the mouse cursor is placed over a thumbnail. With this option selected, an inverted image will replace the thumbnail when a viewer places the mouse cursor over a thumbnail.

Thumbnail Text

The properties within the Thumbnail text group are specific to the appearance of the actual image data for each image within each table cell. You can specify the which columns you want to include with the thumbnail images on the Thumbnail Data page.

Horz. alignment:

Select the horizontal alignment of the image data to be displayed with each thumbnail within the table cell.

If <Default> is selected, the alignment specified on the Page Body page will be used or if you are embedding your images within an external HTML document, the default alignment will be determined by the external HTML document's horizontal alignment.

Vert. alignment:

Select the vertical alignment of the image data to be displayed with each thumbnail within the table cell.

Locate text:

Select the location of the image data for each thumbnail relative to the thumbnail image.


iPage Website Template Editor

Thumbnail Page

The Thumbnail Page tab contains properties you can specify that determine the appearance and layout of the HTML pages containing your table of thumbnails. The thumbnail pages contain a header, a descriptive paragraph, the table of thumbnails, and a footer in that order from top to bottom.

If more than one thumbnail page will be generated based on the Thumbnails per page setting of the Thumbnail Table page, the thumbnail pages will contain hyperlinks to the other thumbnail pages. You can specify that these hyperlinks appear above and/or below the table of thumbnails.

You can specify the font, size, and color for the header, descriptive paragraph, footer, and hyperlinks to other thumbnail pages by selecting the Styles... button located next to each component.

Header:

The header is a title to be displayed at the top of the page. Enter a short descriptive title in this field. Select the Styles... button next to the Header field to specify the font, size, and color for the header. See Header Text Style.

Description above image:

The description is text that will be displayed between the Header and the table of thumbnails. Enter a description of any length. Select the Styles... button next to the Description field to specify the font, size, and color for the description. See Description Text Style.

Alignment:

The Thumbnail Table alignmnent selection specifies the horizontal alignment of the entire table of thumbnails relative to the thumbnail page.

If <Default> is selected, the alignment specified on the Page Body page will be used or if you are embedding your images within an external HTML document, the default alignment will be determined by the external HTML document's horizontal alignment.

Hyperlinks to other thumbnail pages:

If more than one thumbnail page will be generated, you can specify that the hyperlinks to the other thumbnail pages be positioned above and/or below the table of thumbnails. You can also specify the font, size, and color of these hyperlinks by selecting the Styles... button next to the checkboxes. See Hyperlink Style.

Footer:

The footer is text that will appear at the bottom of the page. Typically, this text is copyright and/or contact information but you can supply any text that suits your needs. You can specify the font, size, and color of the footer by selecting the Styles... button next to the Footer field. See Footer Text Style.


Header Text Style

iPage Website Template Editor

Thumbnail Page Header Text Style

The Thumbnail Page Header Text Style dialog enables you to further customize the appearance of the web pages containing the table of thumbnails. If you supply a header, you can specify the style, color, font, size, and horizontal alignment.

Styles:

Select the styles that you would like to include for the header format.

Color:

Select the color of the header. See Custom Colors.

Size:

Select the size to apply to the header. You can specify an absolute font size or a size relative to the base font size for the page.

Font:

Select the font to use for the header.

Location:

The horizontal alignment is the alignment of the header relative to the page.

If <Default> is selected, the alignment specified on the Page Body page will be used or if you are embedding your images within an external HTML document, the default alignment will be determined by the external HTML document's horizontal alignment.

Apply to image page header:

Select the Apply to image page header checkbox to apply the same styles to the header on the pages containing full-size images. Any existing styles currently applied to the full-size image page header will be replaced with the styles specified in this dialog.


iPage Website Template Editor

Thumbnail Page Description Text Style

The Thumbnail Page Description Text Style dialog enables you to further customize the appearance of the web pages containing the table of thumbnails. If you supply a description, you can specify the style, color, font, size, and horizontal alignment.

Styles:

Select the styles that you would like to include for the description format.

Color:

Select the color of the description. See Custom Colors.

Size:

Select the size to apply to the description. You can specify an absolute font size or a size relative to the base font size for the page.

Font:

Select the font to use for the description.

Location:

The horizontal alignment is the alignment of the description relative to the page.

If <Default> is selected, the alignment specified on the Page Body page will be used or if you are embedding your images within an external HTML document, the default alignment will be determined by the external HTML document's horizontal alignment.

Apply to image page description:

Select the Apply to image page description checkbox to apply the same styles to the description on the pages containing full-size images. Any existing styles currently applied to the full-size image page description will be replaced with the styles specified in this dialog.


Hyperlink Style

iPage Website Template Editor

Thumbnail Page Hyperlink Style

The Thumbnail Page Hyperlink Style dialog enables you to further customize the appearance of the web pages containing the table of thumbnails. If more than one thumbnail page will be created, you can specify the style, color, font, size, and horizontal alignment of the hyperlinks to other thumbnail pages. You can also specify the prefix to use for each hyperlink name and the separator to place between each hyperlink.

Hyperlink:

The Prefix field is text that will be used for the hyperlink names to other thumbnail pages. The above screen shot will result in hyperlinks that look like the following:

    Index1 | Index2 | Index3

If you would like to create hyperlinks like the following:

    Thumbnail Page 1 *** Thumbnail Page 2 *** Thumbnail Page 3

Then enter "Thumbnail Page " in the Prefix field and " *** " in the Separator field.

Styles:

Select the styles that you would like to include for the hyperlinks format.

Color:

Select the color of the hyperlink separators. The actual hyperlink colors are set on the Page Body property page. See Custom Colors.

Size:

Select the size to apply to the hyperlinks. You can specify an absolute font size or a size relative to the base font size for the page.

Font:

Select the font to use for the hyperlinks.

Location:

The horizontal alignment is the alignment of the hyperlinks relative to the page.

If <Default> is selected, the alignment specified on the Page Body page will be used or if you are embedding your images within an external HTML document, the default alignment will be determined by the external HTML document's horizontal alignment.

Apply to image page description:

Select the Apply to image page hyperlinks checkbox to apply the same styles to the hyperlinks on the pages containing full-size images. Any existing styles currently applied to the full-size image page hyperlinks will be replaced with the styles specified in this dialog.


Footer Text Style

iPage Website Template Editor

Thumbnail Page Footer Text Style

The Thumbnail Page Footer Text Style dialog enables you to further customize the appearance of the web pages containing the table of thumbnails. If you supply a footer, you can specify the style, color, font, size, and horizontal alignment.

Styles:

Select the styles that you would like to include for the footer format.

Color:

Select the color of the footer. See Custom Colors.

Size:

Select the size to apply to the footer. You can specify an absolute font size or a size relative to the base font size for the page.

Font:

Select the font to use for the footer.

Location:

The horizontal alignment is the alignment of the footer relative to the page.

If <Default> is selected, the alignment specified on the Page Body page will be used or if you are embedding your images within an external HTML document, the default alignment will be determined by the external HTML document's horizontal alignment.

Apply to image page header:

Select the Apply to image page footer checkbox to apply the same styles to the footer on the pages containing full-size images. Any existing styles currently applied to the full-size image page footer will be replaced with the styles specified in this dialog.


iPage Website Template Editor

Image Page

The Image Page tab contains properties you can specify that determine the appearance and layout of the HTML pages containing your full-size images. The full-size image pages contain a header, a descriptive paragraph, the full-size image, and a footer in that order from top to bottom.

You can also specify that the full-size image pages contain links to the other full-size image pages and further specify to place these links above and/or below the image. This feature will allow viewers of your pages to navigate forward and backwards from image to image.

You can specify the font, size, and color for the header, descriptive paragraph, footer, and hyperlinks to other pages by selecting the Styles... button located next to each component.

Header:

The header is a title to be displayed at the top of the page. Enter a short descriptive title in this field. Select the Styles... button next to the Header field to specify the font, size, and color for the header. See Header Text Style.

See Image Data in Header, Description, and Footer Fields to display the image's data in the header, description, or footer fields.

Description above image:

The description is text that will be displayed between the Header and the full-size image. Enter a description of any length. Select the Styles... button next to the Description field to specify the font, size, and color for the description. See Description Text Style.

See Image Data in Header, Description, and Footer Fields to display the image's data in the header, description, or footer fields.

Alignment:

The Image alignmnent selection specifies the horizontal alignment of the image and data displayed with the image relative to the image page.

The Image Data alignment specifies the horizontal alignment of the image data display relative to the image.

If <Default> is selected, the alignment specified on the Page Body page will be used or if you are embedding your images within an external HTML document, the default alignment will be determined by the external HTML document's horizontal alignment.

Hyperlinks to other thumbnail pages:

You can specify that the hyperlinks to the other pages be positioned above and/or below the full-size image. You can also specify the font, size, and color of these hyperlinks by selecting the Styles... button next to the checkboxes. See Hyperlink Style.

Footer:

The footer is text that will appear at the bottom of the page. Typically, this text is copyright and/or contact information but you can supply any text that suits your needs. You can specify the font, size, and color of the footer by selecting the Styles... button next to the Footer field. See Footer Text Style.

See Image Data in Header, Description, and Footer Fields to display the image's data in the header, description, or footer fields.


iPage Website Template Editor

Image Page Header Text Style

The Image Page Header Text Style dialog enables you to further customize the appearance of the web pages containing full-size images. If you supply a header, you can specify the style, color, font, size, and horizontal alignment.

Styles:

Select the styles that you would like to include for the header format.

Color:

Select the color of the header. See Custom Colors.

Size:

Select the size to apply to the header. You can specify an absolute font size or a size relative to the base font size for the page.

Font:

Select the font to use for the header.

Location:

The horizontal alignment is the alignment of the header relative to the page.

If <Default> is selected, the alignment specified on the Page Body page will be used or if you are embedding your images within an external HTML document, the default alignment will be determined by the external HTML document's horizontal alignment.

Apply to image page header:

Select the Apply to thumbnail page header checkbox to apply the same styles to the header on the pages containing the table of thumbnails. Any existing styles currently applied to the thumbnail page header will be replaced with the styles specified in this dialog.


Description Text Style

iPage Website Template Editor

Image Page Description Text Style

The Image Page Description Text Style dialog enables you to further customize the appearance of the web pages containing full-size images. If you supply a description, you can specify the style, color, font, size, and horizontal alignment.

Styles:

Select the styles that you would like to include for the description format.

Color:

Select the color of the description. See Custom Colors.

Size:

Select the size to apply to the description. You can specify an absolute font size or a size relative to the base font size for the page.

Font:

Select the font to use for the description.

Location:

The horizontal alignment is the alignment of the description relative to the page.

If <Default> is selected, the alignment specified on the Page Body page will be used or if you are embedding your images within an external HTML document, the default alignment will be determined by the external HTML document's horizontal alignment.

Apply to image page description:

Select the Apply to thumbnail page description checkbox to apply the same styles to the description on the pages containing the table of thumbnails. Any existing styles currently applied to the thumbnail page description will be replaced with the styles specified in this dialog.


Hyperlink Style

iPage Website Template Editor

Image Page Hyperlink Style

The Image Page Hyperlink Style dialog enables you to further customize the appearance of the web pages containing full-size images. You can also specify the text to use for the name of the Back, Index, and Next hyperlinks as well as a symbol or text for the separator between the hyperlinks.

Hyperlink:

The Back field is text that will be used for the hyperlink to the image immediately before the current image. The Index field is the text that will be used for the hyperlink to the thumbnail page that contains the thumbnail for the current full-size image. The Next field is text that will be used for the hyperlink to the image immediately following the current image.

The Prefix field is text that will be used for the hyperlink names to other thumbnail pages. The above screen shot will result in hyperlinks that look like the following:

    Index1 | Index2 | Index3

If you would like to create links like the following:

    Previous Image *** Thumbnail Page *** Next Image

Then enter "Previous Image" in the Back field, "Thumbnail Page" in the Index field, "Next Image" in the Next field, and " *** " in the Separator field.

Styles:

Select the styles that you would like to include for the hyperlinks format.

Color:

Select the color of the hyperlink separators. The actual hyperlink colors are set on the Page Body property page. See Custom Colors.

Size:

Select the size to apply to the hyperlinks. You can specify an absolute font size or a size relative to the base font size for the page.

Font:

Select the font to use for the hyperlinks.

Location:

The horizontal alignment is the alignment of the hyperlinks relative to the page.

If <Default> is selected, the alignment specified on the Page Body page will be used or if you are embedding your images within an external HTML document, the default alignment will be determined by the external HTML document's horizontal alignment.

Apply to image page description:

Select the Apply to thumbnail page hyperlinks checkbox to apply the same styles to the hyperlinks on the pages containing the table of thumbnails.. Any existing styles currently applied to the thumbnail page hyperlinks will be replaced with the styles specified in this dialog.


Footer Text Style

iPage Website Template Editor

Image Page Footer Text Style

The Image Page Footer Text Style dialog enables you to further customize the appearance of the web pages containing full-size images. If you supply a footer, you can specify the style, color, font, size, and horizontal alignment.

Styles:

Select the styles that you would like to include for the footer format.

Color:

Select the color of the footer. See Custom Colors.

Size:

Select the size to apply to the footer. You can specify an absolute font size or a size relative to the base font size for the page.

Font:

Select the font to use for the footer.

Location:

The horizontal alignment is the alignment of the footer relative to the page.

If <Default> is selected, the alignment specified on the Page Body page will be used or if you are embedding your images within an external HTML document, the default alignment will be determined by the external HTML document's horizontal alignment.

Apply to image page header:

Select the Apply to thumbnail page footer checkbox to apply the same styles to the footer on the pages containing the table of thumbnails. Any existing styles currently applied to the thumbnail page footer will be replaced with the styles specified in this dialog.


iPage Website Template Editor

Thumbnail Data

The Thumbnail Data tab enables you to select the image data to display with each thumbnail. Placing a check in the checkbox next to each column name will display the value for that column with the thumbnail. In the above screen shot, only the image_name column value will be displayed with each thumbnail.

The column values are displayed in the same order as they appear above. The current iPage query dictates the display order of the columns. If you would like to display the description column before the Creation_Date column, then edit the query in Image Explorer so that the description column is selected before the Creation_Date column.

Each displayed value can also be prefixed by a label that you specify. By default, no label is used.

Select Edit Data Style... or Edit Label Style... to edit the font, size, and color of the image data and label.


iPage Website Template Editor

Thumbnail Data Style

The Edit Data Display dialog enables you to further customize the appearance of the web pages containing the table of thumbnails. The font, size, and color of each column displayed next to the thumbnail is specified using this dialog.

You can also include the column value in the hyperlink to the full-size image page.

Include in hyperlink:

Select Include in hyperlink to include the value for this column in the hyperlink to the full-size image page.

Use as ALT for images:

Select Use as ALT for images to include the column value as the ALT for the thumbnail image. The ALT text is the text the appears briefly when you place the mouse cursor over an image.

Precede with extra line feed:

Select Precede with extra line feed to add an extra line before the display of this column value.

Make label styles the same:

Select Make label styles the same to apply the same styles to the label for this column value. Any existing styles currently applied to the label will be replaced with the styles specified in this dialog.

Color:

Select the color of the column data. See Custom Colors.

Size:

Select the size to apply to the column data. You can specify an absolute font size or a size relative to the base font size for the page.

Font:

Select the font to use for the column data.


iPage Website Template Editor

Thumbnail Label Style

The Edit Label Display dialog enables you to further customize the appearance of the web pages containing the table of thumbnails. The font, size, and color of each column label displayed next to the thumbnail is specified using this dialog.

You can also include the column value label in the hyperlink to the full-size image page.

Include in hyperlink:

Select Include in hyperlink to include the value label for this column in the hyperlink to the full-size image page.

Label:

Enter a label to use when displaying the column value. If you enter a label of "photographer: " in the Label field and the actual value of the photographer for the image is "Ansel Adams", the output to the web page will be "photographer: Ansel Adams".

Make label styles the same:

Select Make data styles the same to apply the same styles to the data for this column value. Any existing styles currently applied to the data will be replaced with the styles specified in this dialog.

Color:

Select the color of the column data label. See Custom Colors.

Size:

Select the size to apply to the column data label. You can specify an absolute font size or a size relative to the base font size for the page.

Font:

Select the font to use for the column data label.


iPage Website Template Editor

Image Data

The Image Data tab enables you to select the image data to display with each full-size image. Placing a check in the checkbox next to each column name will display the value for that column with the full-size image. In the screen shot above, the image_name and description column values will be displayed with each full-size image.

The column values are displayed in the same order as they appear above. The current iPage query dictates the display order of the columns. If you would like to display the description column before the Creation_Date column, then edit the query in Image Explorer so that the description column is selected before the Creation_Date column.

Each displayed value can also be prefixed by a label that you specify. By default, no label is used.

Select Edit Data Style... or Edit Label Style... to edit the font, size, and color of the image data and label.


iPage Website Template Editor

Image Data Style

The Edit Data Display dialog enables you to further customize the appearance of the web pages containing full-size images. The font, size, and color of each column displayed below the full-size image is specified using this dialog.

Include in hyperlink:

The Include in hyperlink checkbox is not enabled for data display on full-size image pages since full-size images do not contain links as the thumbnail images do.

Use as ALT for images:

Select Use as ALT for images to include the column value as the ALT for the full-size image. The ALT text is the text the appears briefly when you place the mouse cursor over an image.

Precede with extra line feed:

Select Precede with extra line feed to add an extra line before the display of this column value.

Make label styles the same:

Select Make label styles the same to apply the same styles to the label for this column value. Any existing styles currently applied to the label will be replaced with the styles specified in this dialog.

Color:

Select the color of the column data. See Custom Colors.

Size:

Select the size to apply to the column data. You can specify an absolute font size or a size relative to the base font size for the page.

Font:

Select the font to use for the column data.


iPage Website Template Editor

Image Label Style

The Edit Label Display dialog enables you to further customize the appearance of the web pages containing full-size iamges. The font, size, and color of each column label displayed below the full-size image is specified using this dialog.

Include in hyperlink:

The Include in hyperlink checkbox is not enabled for data display on full-size image pages since full-size images do not contain links as the thumbnail images do.

Label:

Enter a label to use when displaying the column value. If you enter a label of "photographer: " in the Label field and the actual value of the photographer for the image is "Ansel Adams", the output to the web page will be "photographer: Ansel Adams".

Make label styles the same:

Select Make data styles the same to apply the same styles to the data for this column value. Any existing styles currently applied to the data will be replaced with the styles specified in this dialog.

Color:

Select the color of the column data label. See Custom Colors.

Size:

Select the size to apply to the column data label. You can specify an absolute font size or a size relative to the base font size for the page.

Font:

Select the font to use for the column data label.


iPage File Menu

Save Web Site:

Save the web site to a directory that you specify.

If you exit iPage without saving your web site, the web pages are deleted. Saving the web site template is not the same thing as saving the web site. When you save the web site template, you are only saving the .wst file not the generated web pages.

Upload Web Site:

Launches the Microsoft Web Post Wizard.

If you get an error when selecting this command, see Troubleshooting.

New Template:

Start with a new template. The settings will be initialized with the current default template.

Open Template:

Open an existing template.

Save Template:

Save the current web page layout properties to a .wst file for later re-use. If you have already specified the filename for a .wst file, that file will be used. If you have not specified a filename yet, this command is the same as the Save Template As menu command.

Save Template As:

Save the current web page layout properties to a file. The File Save dialog will be displayed enabling you to provide a filename for the .wst file.

Set As Default Template:

The current settings in iPage will be saved to a .wst file and used as the default startup template each time iPage is started.

Print:

Displays the Print dialog for print the currently displayed page or all pages.

Properties:

Displays the properties for the current web site template. See iPage Properties.

Recent File:

Recent File wll be one or more recent .wst files. You can select a template that you recently worked on. This is a shortcut for the Open Template menu command.

Close:

Exit iPage. If the current properties have not been saved, you will be prompted to save the .wst file. If you want to save the generated web site, be sure to select the Save Web Site menu command before closing iPage.


iPage Edit Menu

The iPage Edit menu contains only one menu command, the Undo command.

When you select OK or Apply on the Web Site Template Editor, your changes are applied to the current web site. Select Undo to reverse the changes from the most recent OK or Apply action.


iPage View Menu

Web Site Template Editor:

Displays or hides the iPage Web Site Template Editor.

Toolbar:

Displays or hides the toolbar.

Status Bar:

Displays or hides the status bar.

Fonts:

Most browsers let users change the size of the displayed fonts. Your font size settings from the Web Site Template Editor has no effect on the relative size of all text. Use this menu option to see how your generated web pages look with different font sizes.

Keep in mind that some users will be viewing your web pages with the Largest font selection while others will be viewing with Smallest selected.

Stop:

If the browser is still searching for or loading a web page, you can select Stop to halt the action. Most iPage pages generated will load very fast while you are working on them that this will not be of use. However, you can always browse to any world wide web site even while editing your iPage template in which case you can use the Stop command to halt that process if desired.

Refresh:

Select to reload the current page. The actual reloading vs. re-using a cached file depends on settings in the Internet Options dialog.

Launch Default Web Browser:

iPage uses Internet Explorer libraries to display your web pages so the display in iPage will be the same in Internet Explorer. If the default web browser on your computer is Netscape Navigator, selecting the Launch Default Web Browser command will launch Netscape Navigator and display the current page.

Source:

Displays the HTML source for the current page in the default .txt editor.

Internet Options:

Launches the Internet Explorer Internet Options dialog. Use this menu command to change settings such as web page caching characteristics.


iPage Go Menu

Select Back or Forward to navigate the web pages in the history list.

Keep in mind that iPage regenerates web pages and depending on your settings changes, web pages in the history list may not exist after pressing OK or Apply on the Web Site Template Editor.


iPage Help Menu

Help Topics:

Displays this help system.

Renaissance Software on the Web:

Launches your default browser and takes you to Renaissance Software's home page.

About Image Workshop:

Displays version and copyright information.


Technical Support and Contact Information

When contacting Renaissance Software, L.L.C. for technical support please include your registration number. If Image Explorer is not yet registered please visit the Renaissance Software LLC Home Page or contact us by fax, phone or email.

Fax:

435-649-1757

Phone:

801-463-2854

Email:

Support@eteknic.com

Internet Home Page:

http://www.eteknic.com


Troubleshooting

Can't create a DSN.

Click Help in the ODBC Administrator.

Can't add anymore images to the database.

If the DSN points to an Access database, Access databases can only store 1 GB of data. Create another DSN to store additional images.

When attempting to create a table or table column, I receive an error message that the name is a reserved word.

Certain words are reserved by ODBC and/or the database management system. Rename the table or table column using a different name. See Reserved Words

Can't connect to a Microsoft Access database.

Another user may have opened the database as 'exclusive' using Microsoft Access. Close the Microsoft Access application that is using the database in exclusive mode.

Can't validate a query built with Query Builder.

Check WHERE condition. See SQL Reference.

I can't delete table columns.

Some databases such as Oracle do not permit the deletion of table columns. The reason for this is that there may be foreign key dependencies on columns that affect the integrity of the database.

I'm running out of memory when I run a query.

Try reducing the scope of the query. If a query fetches all records in a table and the table contains a large amount of images, the machine's available virtual memory might not be large enough to accomodate all of the thumbnails returned with the query.

I'm having problems with SQL statements.

Consult your database's SQL Reference for further details on SQL constructs. There are slight differences. For instance, most databases use single quotes for pre-/postfix literals in SQL statements like:

SELECT image_name, size
FROM MyTable
WHERE image_name
LIKE 'P%'

but some might require double quotation marks.

If you are still having problems please visit our home page or contact Renaissance Software, L.L.C.

I get the following error dialog when trying to upload web pages generated in iPage:

This error will occur if the Microsoft Web Publishing Wizard components are not installed on your machine.

To get the required Microsoft Web Publishing Wizard components, open Microsoft Internet Explorer and select the Help | Product Updates menu option. This will take you to the Microsoft Windows Update web site. The web page will analyze which Microsoft components on your computer should be updated. Select the Web Publishing Wizard components and these components will be automatically installed on your computer.

See Also: Renaissance Software Technical Support and Contact Information


Legal Disclaimer

Legal Notice

Renaissance Software Image Explorer

All components are Copyright (c) 1998, 1999 by

Renaissance Software, L.L.C.
1422 E Hollywood Ave
Salt Lake City, UT 84105

Software License Agreement

Renaissance Software Image Database System

RENAISSANCE SOFTWARE, L.L.C. ("RENAISSANCE SOFTWARE") IS WILLING TO LICENSE THE ENCLOSED SOFTWARE TO YOU ONLY UPON THE CONDITION THAT YOU ACCEPT ALL OF THE TERMS CONTAINED IN THIS LICENSE AGREEMENT PRINTED ON THIS PACKAGE. PLEASE READ THE TERMS CAREFULLY BEFORE USING THIS SOFTWARE, AS USING THIS SOFTWARE WILL INDICATE YOUR ACCEPTANCE OF ALL OF THE TERMS OF THIS LICENCE AGREEMENT (THIS "AGREEMENT"). IF YOU DO NOT AGREE TO THE TERMS, RENAISSANCE SOFTWARE IS UNWILLING TO LICENSE THIS SOFTWARE TO YOU.

DEFINITIONS

"Software" shall be taken as referring to the files and file contents supplied with this software package, and to any and all copies, updates, modifications, functionally-equivalent derivatives, or any parts or portions thereof.

"Licensor" shall be taken as referring to Renaissance Software, L.L.C.

"Licensee" shall be taken as referring to the person or business entity who purchased this License to use this Software for whom such License was purchased.

GRANT OF LICENSE

Upon acceptance of this Agreement, as evidenced by using the Software, Licensor grants Licensee a non-transferable, non-exclusive, non-sublicensable license to use one copy of the Software on a single terminal connected to a single computer. Licensee may not network the Software or otherwise use it on more than one computer terminal at the same time. Licensee may not install the Software on more than one computer for Licensee's own use. Licensee must contact Licensor or Licensee's authorized dealer for express written permission from Licensor to use the Software on any computer other than one single terminal connected to a single computer. Renaissance Software invites all inquiries concerning such special multi-user and multi-station licensing arrangements.

COPYRIGHT

The Software and the accompanying documentation is protected by the copyright laws of the United States and by international treaty provisions. It may not be reproduced in any form. Licensee may not reproduce the written documentation accompanying the Software.

OTHER RESTRICTIONS

You may not use, copy, modify, or transfer the Software or any copy, modification or merged portion, in whole or in part. Licensee shall not decompile, disassemble, or reverse engineer any of the Software or attempt to do so. Licensee shall not rent, lease, sublicense, or transfer the Software. Licensee shall be liable to Licensor for violation of any part of this Agreement by any employee and/or any direct or indirect transferee of the Software licensed to the Licensee.

PROPRIETARY RIGHTS

Other than any license granted herein, Licensor retains exclusive proprietary rights (including all rights, title and interests) in the Software and any derivatives thereof. Licensee agrees not to represent that the Licensor is affiliated with or approves of Licensee's application of the software in any way. Licensee shall not use Licensor's name, trademarks, or any Licensor designation in association with Licensee's application of the Software.

TERMINATION

This license is effective until terminated. Licensee may terminate this license at any time by destroying all copies of the Software covered by this Agreement, including without limitation all files, updates, modifications, functionally-equivalent derivatives, and any and all parts thereof. This license will also terminate if Licensee fails to comply with any term or condition of this Agreement. Licensee agrees that upon such termination, Licensee will destroy the Software covered by this Agreement. Notwithstanding any termination, the rights and remedies of Licensor for any violation of this Agreement, whether by Licensee and/or any employee, agent of direct or indirect transferee of the software, shall survive termination.

WARRANTY: DISCLAIMER

THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE SOFTWARE IS WITH LICENSEE. SHOULD THE SOFTWARE PROVE DEFECTIVE, LICENSEE ASSUMES THE ENTIRE COST OF ALL NECESSARY SERVICING, REPAIR AND/OR CORRECTION. LICENSEE FURTHER AGREES TO INDEMNIFY AND HOLD HARMLESS LICENSOR AGAINST ANY CLAIM BY LICENSEE AND/OR ANY EMPLOYEE OR DIRECT OR INDIRECT TRANSFEREE OF THE SOFTWARE AND ANY AND ALL ATTORNEY FEES INCURRED IN DEFENSE THEREOF.

Licensor does not warrant that the functions contained in this Software will meet your requirements or that the operation of this Software will be uninterrupted or error-free. However, Licensor does warrant the diskette on which the Software is furnished to be free from defects in materials and workmanship under normal use for a period of ninety (90) days from the date of delivery to you.

REMEDIES: LIMITATIONS

Licensee's sole and exclusive remedy against Licensor shall be, at Licensor's option:

a. the replacement of any diskette not meeting Licensor's "Limited Warranty" and which is returned to Licensor, or

b. if Licensor is unable through no fault of Licensee to deliver a replacement diskette which is free of defects in materials and workmanship, License may terminate this Agreement by returning this Software to Licensor for a refund.

IN NO EVENT WILL LICENSOR BE LIABLE TO YOU FOR ANY DAMAGES, INCLUDING ANY LOST PROFITS, LOST SALES, INJURY TO PERSON OR PROPERTY OR ANY OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THIS SOFTWARE, EVEN IF LICENSOR OR ITS AUTHORIZED REPRESENTATIVE HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES, OR FOR ANY CLAIM BY ANY OTHER PARTY. LICENSEE AGREES TO INDEMNIFY AND HOLD HARMLESS LICENSOR AGAINST ANY CLAIM BY LICENSEE AND/OR ANY EMPLOYEE OR DIRECT OR INDIRECT TRANSFEREE OF THE SOFTWARE AND ANY AND ALL ATTORNEY FEES INCURRED IN DEFENSE THEREOF. IN NO EVENT SHALL LICENSOR'S LIABILITY EXCEED THE AMOUNTS PAID TO LICENSOR BY LICENSEE UNDER THE TERMS OF THIS AGREEMENT.

GENERAL

Licensee may not sublicense, assign or otherwise transfer this License or the Software Except as expressly provided in this Agreement. Any attempt to otherwise sublicense, assign or transfer any of the rights, duties or obligations hereunder is expressly prohibited and will terminate this Agreement, as provided under Termination, above.

This Agreement is governed by the laws of the State of Utah, U.S.A.

BY USING THIS SOFTWARE, YOU ("LICENSEE") ACKNOWLEDGE THAT YOU HAVE READ THIS AGREEMENT, UNDERSTAND IT, AND AGREE (FOR AND ON BEHALF OF AND/OR AS LICENSEE) TO BE BOUND BY ITS TERMS AND CONDITIONS. LICENSEE FURTHER AGREES THAT THIS IS THE COMPLETE AND EXCLUSIVE STATEMENT OF THE AGREEMENT BETWEEN LICENSEE AND LICENSOR AND ITS DEALERS AND OTHER AGENTS, WHICH SUPERSEDES ANY PROPOSAL OR PRIOR AGREEMENT, ORAL OR WRITTEN, AND ANY OTHER COMMUNICATIONS BETWEEN THE SAME RELATING TO THE SUBJECT MATTER OF THIS AGREEMENT.


Supported Image Formats

Image Explorer supports the following image formats:

  • Lead 1/8/24-bit (*.cmp)

  • JPEG File Interchange Format 8/24-bit (*.jpg)
  • CALS Raster 1-bit (*.cal)
  • Portable Network Graphic 1/8/24-bit (*.png)
  • Fax (Raw) (*.fax)
  • Encapsulated PostScript (*.eps)
  • EXIF (*.tif)
  • FlashPix 8/24-bit (*.fpx)
  • GEM 1-bit (*.img)
  • IOCA (*.ica)
  • Kodak Photo CD (*.pcd)
  • MODCA (Raw IOCA) (*.ica)
  • Macintosh Pict 1/4/8/24-bit (*.pct)
  • Macintosh Paint 1-bit (*.mac)
  • Microsoft Fax (*.awd)
  • Microsoft Paint (*.msp)
  • OS/2 Bitmap Version 1 and 2 1/4/8/24-bit (*.bmp)
  • PCX 1/4/8/24-bit (*.pcx)
  • Adobe PhotoShop 1/8/24-bit (*.psd)
  • Sun Raster 1/4/8/24/32-bit (*.ras)
  • TGA 8/16/24/32-bit (*.tga)
  • TIFF 1/2/3/4/5/6/7/8/16/24/32-bit (*.tif)
  • Windows Bitmap 1/4/8/16/24/32-bit (*.bmp)
  • Winfax (*.fxs)
  • Windows metafile 8/24-bit (*.wmf)
  • Word Perfect Graphics 1/4/8-bit (*.wpg)
  • Windows Icon 1/4/8-bit (*.ico)
  • Windows Cursor 1-bit (*.cur)

The above formats may also support additional subfile-type specifications such as YUV 4:4:4, YUV 4:2:2, and YUV 4:1:1 color space for JPEG images and/or progressive load options.


Medical Version

Image Explorer - Medical Edition

The Image Explorer - Medical Edition supports formats used by the medical industry such as the DICOM format and is available from Renaissance Software.

Contact Renaissance Software for more information.


Column Definitions

olumn Definitions

The column definitions properties tab is a view-only summary of all defined columns and data types.


Creating Queries

reating Queries

Query Builder is the tool for creating queries.

The following steps are required to launch Query Builder:

1. Select a table in the tree view.

2. Select Tools | New Query.

When Query Builder is launched, the ‘image_name’ column will already be selected under the SELECT tree item. The ‘image_name’ column is required by every query since this value is used in the iBank user interface for identifying image records.

You can specify columns in addition to the ‘image_name’ column for inclusion in your query results as well as the query filter and sort order.


iPage Website Template Editor

Custom Colors

Custom Colors:

Custom colors can be specified the Color dialog. Select Custom in the color list.

When the Custom color item is selected, the Color dialog will be displayed.

Your custom color is defined by the Hue, Sat (Saturation), Lum (Luminosity), Red, Green, and Blue values. You can manually enter these values or use the controls to select a color.

The Color dialog is a standard Windows common dialog. Press the ? and then select an area of the Color dialog. When you do this, a help window will explain what each part of the dialog is used for.

When you have selected a custom color, selecting OK will close the dialog and replace the Custom selection in the color list with the color you created.

If you plan to use the custom color you created for other iPage items, select Add to Custom Colors before selecting OK to save the custom color you created.


Deleting Images

Type topic text here.


Deleting Table Columns

Deleting of table columns is not supported by all database management systems. Oracle does not allow the deletion of table columns. If you try to delete a table column in a database management system that does not support this, an error message will be displayed.


Header Text Style

iPage Website Template Editor

Image Page Header Text Style

Type topic text here.


iPage Website Template Editor

HTML Text Style

Choose a specific dialog:

Image Page Header Text Style

Image Page Description Text Style

Image Page Footer Text Style

Thumbnail Page Header Text Style

Thumbnail Page Description Text Style

Thumbnail Page Footer Text Style


Image Workshop Menu Overview

File Menu

Save:

Saves the current image to the database.

Save As:

Enables you to create a new image in the database using the current image. The new image will be created in the same table that contained the image used when Image Workshop was started. The New Record Dialog will be displayed for setting initial values of the new image record.

Set as Wallpaper:

Sets the current image in Image Workshop as the Windows Desktop wallpaper.

Page Setup:

Launches to Page Setup dialog for specifying printing properties. See Page Setup

Properties:

Displays properties associated with the current image. See Image Properties.

Edit Menu

Undo:

Restores the current image to the previous state prior to the last operation.

Copy:

Copies the image to the Windows clipboard.

Paste:

Replaces the current image with an image on the Windows clipboard if an image is available.

Crop Selection:

Crops the image using the current selection.

To select a portion of an image for cropping, hold the left mouse button down while moving the mouse from the upper left to the lower right.

View Menu

View Menu operations do not change the image. These operations are provided only as viewing options.

Normal:

The image will be viewed at its normal size. This command will restore the view after a zoom operation.

Fit to Window:

The image will be zoomed to fit the dimensions of the Image Workshop window. The aspect ratio of the image will be maintained.

Zoom:

Displays the Zoom dialog. Enter a value from 10 to 1000%. Entering a number less than 100% will reduce the viewable size of the image while entering a number greater than 100% will increase the viewable size of the image.

Toolbar:

Displays or hides the Image Workshop toolbar.

Status Bar:

Displays or hides the Image Workshop status bar.

Image | Mirror Menu

Vertical:

Flips the image vertically.

Horizontal:

Flips the image horizontally.

Image | Rotate Menu

90 CW:

Rotates the image 90 degrees clockwise.

90 CCW:

Rotates the image 90 degrees counter-clockwise

180

Rotates the image 180 degrees.

Specify Angle

The Rotate dialog will be displayed. The Rotate dialog is used to specify a custom rotation angle. If the background is visible after rotating, you can specify a background color for the areas not occupied by the rotated image.

Image Menu

Add Noise:

Adds random pixels to a bitmap. You can set the level of coverage and the affected color planes.

Average Filter:

Changes the color of each pixel in a bitmap to the average color of surrounding pixels resulting in a blur effect.

Median Filter:

Changes the color of each pixel in a bitmap to the median color of surrounding pixels. This effect is used for reducing the image's noise.

Emboss:

Embosses the image using the direction and depth you specify.

Mosaic Filter:

The mosaic filter divides the image into square regions that you specify. The color of each square region is an average of all pixel colors within the region.

Oilify:

The oilify command will apply an oil-painting effect to the image.

Posterize:

Applies a poster effect by reducing the image's colors to a specified number of color planes. If you specify 4 color levels per plane, the resultant image will have 4 colors each of red, green, and blue.

Sharpen:

Sharpens the image.

Solarize:

Inverts all pixels with a color intensity greater than or equal to the intensity that you specify.

Color Menu

Halftone:

Converts an image to a 1-bit image that has been dithered for black and white.

Grayscale:

Converts an image to an 8-bit grayscale image.

Invert:

Inverts an images colors producing an effect similar to a photographic negative.

Brightness:

Increases or decreases the image's brightness.

Contrast:

Increases or decreases the image's contrast.

Hue:

Increases or decreases the image's hue.

Help Menu

Help Topics:

Displays this help system.

Renaissance Software on the Web:

Launches your default browser and takes you to Renaissance Software's home page.

About Image Workshop:

Displays version and copyright information.


iPage Website Template Editor

Image Data in Header, Description, and Footer Fields

By default, iPage will display data associated with an image on the full-size image pages below the image. You can also display any data associated with the image in the header, description, or footer fields on the full-size image pages as well by supplying an iPage defined replacement tag.

The replacement tag for the image_name column should be formatted as follows:

    [IPAGE COLUMN="image_name"]

When iPage finds a tag like this, the tag will be replaced with the actual column value for the image. You can include any of the columns selected by the current query that iPage is generating web pages for.

As an example, you could create a sentence for each image to be placed in the Description field on the Image Page property page such as:

    This photograph was shot by Ansel Adams in Yosemite

The Description field entry to create the above custom-built sentence would be formatted as:

    This photograph was shot by [IPAGE COLUMN="photographer"] in [IPAGE COLUMN="location"]

Of course, the table containing the query and images that iPage is creating web pages for would need to have the photographer and location columns defined.


Include Columns

iPage Website Template Editor

Data Style Dialog

Choose a specific dialog:

Image Page Data Style

Thumbnail Data Style


Include Columns Label

iPage Website Template Editor

Label Style Dialog

Choose a specific dialog:

Image Label Style

Thumbnail Label Style


Inserting Images

Type topic text here.


iPage Window

iPage Editor

The iPage main window is a web browser which displays your generated web pages based on the current settings from the iPage Editor.